2024-07-21  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 89d3d815ef6e84935147b683d510bacb0ba4df1d
	Increase version number to 2.40

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2024-07-21  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 6f14eb1b1768e4b840913fa1e4c9963cd70d46ac
	po/*: regenerate (only line number changes)

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ro.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2024-07-21  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 668e14a304fb7e63dbac11ec2884eb148c9abecf
	contrib.texi: Fix format of MIPS and RISC-V

	* manual/contrib.texi: Modified.

2024-07-21  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 256574679feb0204ac859367fdbf4d91aff45d0a
	libc.pot: regenerate (only line number changes)

	* po/libc.pot: Modified.

2024-07-21  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 92eb4a10ae9d997c7a8783f7c3d8b4474b01505a
	install.texi: bump "latest verified" versions

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2024-07-20  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: d36b481476c6bcfee565ba3bc17cdc0e66ca70ae
	NEWS: drop 2.40 section "Changes to build and runtime requirements"

	* NEWS: Modified.

2024-07-20  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 5dc1408bb5351954b7451d516c3520905702f35e
	contrib.texi: update

	* manual/contrib.texi: Modified.

2024-07-20  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 391d9041f01282d243e7d3cbd272dffea5f2313c
	NEWS: add fixed security advisories list

	* NEWS: Modified.

2024-07-20  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: ad6e85aad5134a0be633b8a0463ec5e5e31fa945
	NEWS: add resolved bugs list

	* NEWS: Modified.

2024-07-20  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: fa455c3b5de21ee59b3e997f3b3f6ef3090e862a
	NEWS: add more major improvements for 2.40

	* NEWS: Modified.

2024-07-19  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: ab5748118f86a82c4a29a7476f6cc0b9c40be926
	linux: Trivial test output fix in tst-pkey

	* sysdeps/unix/sysv/linux/tst-pkey.c: Modified.
	(do_test): Modified function.

2024-07-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4f047d9edecb1a9b796a9a904dcd42bd3cc3d3b6
	elf: Fix localplt.awk for DT_RELR-enabled builds (BZ 31978)

	* scripts/localplt.awk: Modified.

2024-07-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6b7e2e1d6139b1fb61b911ab897a956042bf7f89
	linux: Also check pkey_get for ENOSYS on tst-pkey (BZ 31996)

	* sysdeps/unix/sysv/linux/tst-pkey.c: Modified.
	(do_test): Modified function.

2024-07-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e0f7da7235105e0ae807bc701e54a0ea01e0ef9f
	powerpc: Update soft-fp ulps

	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.

2024-07-19  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 8cfa4ecff21adf226984f135aa576dd8063bbba3
	Fix usage of _STACK_GROWS_DOWN and _STACK_GROWS_UP defines [BZ 31989]

	* malloc/memusage.c: Modified.
	(update_data): Modified function.
	* stdlib/tst-swapcontext2.c: Modified.
	(do_test): Modified function.
	* sysdeps/unix/sysv/linux/____longjmp_chk.c: Modified.

2024-07-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 91eb62d63887a959e43aafb6fc022a87614dc7c9
	Adjust check-local-headers test for libaudit 4.0

	* scripts/check-local-headers.sh: Modified.

2024-07-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3c354d62f5c30d32bd553735473e95a8af4f56ec
	elf: Parse the auxv values as unsigned on tst-tunables-enable_secure-env.c (BZ 31890)

	* elf/tst-tunables-enable_secure-env.c: Modified.
	[HAVE_AUXV](check_auxv): Modified function.

2024-07-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 66f2cd6e1a5a9a0113c9f5c13fb06707fef77fd4
	x32: xfail elf/tst-platform-1 [BZ #22363]

	* sysdeps/x86_64/x32/Makefile: Modified.

2024-07-19  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: d905183f0bb10c66487a1dbc15fc52107cb164fc
	elf/tst-rtld-does-not-exist: Pass --inhibit-cache to rtld

	* elf/tst-rtld-does-not-exist.sh: Modified.

2024-07-17  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 910aae6e5a2196938fc30fa54dd1e96f16774ce7
	Revert "LoongArch: Add cfi instructions for _dl_tlsdesc_dynamic"

	* sysdeps/loongarch/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	* sysdeps/loongarch/dl-tlsdesc-dynamic.h: Delete file.
	* sysdeps/loongarch/dl-tlsdesc.S: Modified.
	* sysdeps/loongarch/dl-tlsdesc.h: Modified.
	[SHARED][! __loongarch_soft_float](_dl_tlsdesc_dynamic_lasx): Remove.
	[SHARED][! __loongarch_soft_float](_dl_tlsdesc_dynamic_lsx): Remove.
	* sysdeps/loongarch/tlsdesc.sym: Modified.

2024-07-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6ed76f4efc856431cd8511ef881a494a13280653
	htl: Fix __pthread_init_thread declaration and definition

	* sysdeps/mach/hurd/htl/pt-pthread_self.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/mach/hurd/htl/pt-sysdep.h: Modified.
	(___pthread_init_thread): Remove.
	(libc_hidden_proto): Modified.
	(__pthread_init_thread): New.

2024-07-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0e75c4a4634f44ad24a65fda01f571781ac79d5f
	hurd: Fix pthread_self() without libpthread

	* htl/Versions: Modified.
	* sysdeps/mach/hurd/htl/pt-pthread_self.c: Modified.
	(___pthread_self): Remove.
	(pt-internal.h): Include file.
	(__pthread_init_thread): New.
	(___pthread_self): New.
	* sysdeps/mach/hurd/htl/pt-sysdep.c: Modified.
	(init_thread): Remove.
	(_init_routine): Modified function.
	* sysdeps/mach/hurd/htl/pt-sysdep.h: Modified.
	(___pthread_init_thread): New.
	(libc_hidden_proto): New.

2024-07-17  mengqinggang  <mengqinggang@loongson.cn>

	COMMIT: 43224b1379d60b1ad98d29ef3d7905d55f828a9f
	LoongArch: Add cfi instructions for _dl_tlsdesc_dynamic

	* sysdeps/loongarch/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	* sysdeps/loongarch/dl-tlsdesc-dynamic.h: New file.
	* sysdeps/loongarch/dl-tlsdesc.S: Modified.
	* sysdeps/loongarch/dl-tlsdesc.h: Modified.
	[SHARED][! __loongarch_soft_float](_dl_tlsdesc_dynamic_lasx): New.
	[SHARED][! __loongarch_soft_float](_dl_tlsdesc_dynamic_lsx): New.
	* sysdeps/loongarch/tlsdesc.sym: Modified.

2024-07-16  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 5bcf6265f215326d14dfacdce8532792c2c7f8f8
	x86: Disable non-temporal memset on Skylake Server

	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/x86/cpu-tunables.c: Modified.
	(TUNABLE_CALLBACK): Modified function.
	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.
	* sysdeps/x86/include/cpu-features-preferred_feature_index_1.def: Modified.
	* sysdeps/x86/tst-hwcap-tunables.c: Modified.
	(array_length): Modified function.

2024-07-16  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 2dcc908538054377d19571d77a026b9f26d3fd0f
	Add pthread_getname_np and pthread_setname_np for Hurd

	* config.h.in: Modified.
	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pthread.h: Modified.
	[__USE_GNU](pthread_getname_np): New function.
	[__USE_GNU](pthread_setname_np): New function.
	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/configure.ac: Modified.
	* sysdeps/mach/htl/pt-getname-np.c: New file.
	* sysdeps/mach/htl/pt-setname-np.c: New file.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2024-07-14  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: a11e15ea0ab1ee8a1947b6be52beca53693f0991
	math: Update alpha ulps

	* sysdeps/alpha/fpu/libm-test-ulps: Modified.

2024-07-13  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c8b4ce0b368115714bd4cce131e1683759471099
	hurd: Fix restoring message to be retried

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.

2024-07-12  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 4b2a1b602fc1ade0de85084feb328203be3147c9
	nptl: Convert tst-sem11 and tst-sem12 tests to use the test driver

	* nptl/tst-sem11.c: Modified.
	(tf): Modified function.
	(main): Remove function.
	(do_test): New function.
	(support/test-driver.c): Include file.
	* nptl/tst-sem12.c: Modified.
	(PREPARE): Remove.
	(TF_PREPARE): New.

2024-07-12  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: 9d8995833e463cd675cc8bd40036d7d1412fdd1b
	nptl: Add copyright notice tst-sem11 and tst-sem12 tests

	* nptl/tst-sem11.c: Modified.
	* nptl/tst-sem12.c: Modified.

2024-07-12  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: ef7005628f24afaf66cfcdeaac47a57b41177467
	tests: XFAIL audit tests failing on all mips configurations, bug 29404

	* sysdeps/mips/Makefile: Modified.

2024-07-12  Samuel Dobron  <sdobron@redhat.com>

	COMMIT: 255df9299f544ad9e027e0c8d6b65b0635c59f8c
	time/Makefile: Split and sort tests

	* time/Makefile: Modified.

2024-07-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 9b7651410375ec8848a1944992d663d514db4ba7
	s390x: Fix segfault in wcsncmp [BZ #31934]

	* sysdeps/s390/wcsncmp-vx.S: Modified.

2024-07-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2e456ccf0c34a056e3ccafac4a0c7effef14d918
	Linux: Make __rseq_size useful for feature detection (bug 31965)

	* NEWS: Modified.
	* manual/threads.texi: Modified.
	* sysdeps/nptl/dl-tls_init_tp.c: Modified.
	(_rseq_size): Remove.
	(_rseq_offset): Remove.
	(__tls_init_tp): Modified function.
	* sysdeps/unix/sysv/linux/rseq-internal.h: Modified.
	[RSEQ_SIG](rseq_register_current_thread): Modified function.
	(RSEQ_AREA_SIZE_INITIAL): New.
	(RSEQ_AREA_SIZE_INITIAL_USED): New.
	(_rseq_size): New.
	(_rseq_offset): New.
	* sysdeps/unix/sysv/linux/tst-rseq.c: Modified.
	[RSEQ_SIG](do_rseq_main_test): Modified function.
	[RSEQ_SIG](do_rseq_test): Modified function.
	[RSEQ_SIG](sys/auxv.h): Include file.

2024-07-09  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 7e7f35278cf5980f6eb1ddd384217a04a5293bc8
	po: incorporate translations (bg)

	* po/bg.po: Modified.

2024-07-09  DJ Delorie  <dj@redhat.com>

	COMMIT: 6c0be74305745c8f78bcfb69442c8c379459d99b
	manual: add syscalls

	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/Makefile: Modified.
	* manual/intro.texi: Modified.
	* manual/llio.texi: Modified.
	* manual/macros.texi: Modified.
	* manual/socket.texi: Modified.
	* manual/startup.texi: Modified.

2024-07-09  Andreas Schwab  <schwab@suse.de>

	COMMIT: 2213b37b705843908355a89648017f4e597b2bbb
	libio: handle opening a file when all files are closed (bug 31963)

	* libio/Makefile: Modified.
	* libio/genops.c: Modified.
	(_IO_link_in): Modified function.
	* libio/tst-closeall.c: New file.

2024-07-08  Adam Sampson  <ats@offog.org>

	COMMIT: 895294e51d33039c1e718d2be88a9863670ac4d6
	ldconfig: Ignore all GDB extension files

	* elf/readlib.c: Modified.
	(is_gdb_python_file): Remove function.
	(process_file): Modified function.
	(is_gdb_extension_file): New function.

2024-07-08  Adam Sampson  <ats@offog.org>

	COMMIT: ed2b8d3a866eb37e069f6a71bdf10421cd4c5e54
	ldconfig: Move endswithn into a new header file

	* elf/endswith.h: New file.
	* elf/ldconfig.c: Modified.
	(endswithn): Remove function.
	(endswith.h): Include file.
	* elf/readlib.c: Modified.
	(is_gdb_python_file): Modified function.
	(endswith.h): Include file.

2024-07-08  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: ab6045728f9f99729b8bdd07c3e2a6aba586794e
	math: Update m68k ULPs

	* sysdeps/m68k/m680x0/fpu/libm-test-ulps: Modified.

2024-07-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 184b9e530e6326e668709826903b6d30dc6cac3f
	stdlib: fix arc4random fallback to /dev/urandom (BZ 31612)

	* stdlib/arc4random.c: Modified.
	(__arc4random_buf): Modified function.

2024-07-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9fc639f654dc004736836613be703e6bed0c36a8
	elf: Make dl-rseq-symbols Linux only

	* elf/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* elf/dl-rseq-symbols.S: Move to...
	* sysdeps/unix/sysv/linux/dl-rseq-symbols.S: ... here.

2024-07-03  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 2b92982e2369d292560793bee8e730f695f48ff3
	nptl: fix potential merge of __rseq_* relro symbols

	* elf/Makefile: Modified.
	* elf/dl-rseq-symbols.S: New file.
	* sysdeps/nptl/dl-tls_init_tp.c: Modified.
	(__rseq_size): Remove.
	(__rseq_offset): Remove.
	(__tls_init_tp): Modified function.
	(_rseq_size): New.
	(_rseq_offset): New.

2024-07-03  Darius Rad  <darius@bluespec.com>

	COMMIT: b85a23d736b31df3284ce0018357a9cea534d6ff
	riscv: Update nofpu libm test ulps

	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.

2024-07-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7dde7f82d9826538c99637626228ebbda9e76f47
	manual: Recommendations for dynamic linker hardening

	* manual/dynlink.texi: Modified.

2024-07-03  Sergey Kolosov  <skolosov@redhat.com>

	COMMIT: 50f5a09e68e0c4ea60f5dfee3cc6963df2762e14
	socket: Add new test for shutdown

	* socket/Makefile: Modified.
	* socket/tst-shutdown.c: New file.

2024-07-03  Stefan Liebler  <stli@linux.ibm.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d2f6ceaccbae2f645075dedad2b762896da1ec04
	elf/rtld: Fix auxiliary vector for enable_secure

	* elf/Makefile: Modified.
	* elf/rtld.c: Modified.
	(_dl_start_args_adjust): Modified function.
	* elf/tst-tunables-enable_secure-env.c: Modified.
	(do_test): Modified function.
	[! __linux__](HAVE_AUXV): New.
	[HAVE_AUXV](check_auxv): New.
	[__linux__](HAVE_AUXV): New.
	[__linux__](sys/auxv.h): New.
	(array_length.h): Include file.
	(errno.h): Include file.
	(getopt.h): Include file.
	(intprops.h): Include file.
	(stdlib.h): Include file.
	(CMDLINE_OPTIONS): New.
	(restart): New.
	(spargs): New.
	(handle_restart): New function.

2024-07-02  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 4737e6a7a3f98c8e2674e313cb09d7882583f5f0
	﻿hppa/vdso: Provide 64-bit clock_gettime() vDSO only

	* sysdeps/unix/sysv/linux/hppa/sysdep.h: Modified.
	[! __ASSEMBLER__][! __LP64__](HAVE_CLOCK_GETTIME_VSYSCALL): Remove.
	[! __ASSEMBLER__][! __LP64__](HAVE_GETTIMEOFDAY_VSYSCALL): Remove.
	[! __ASSEMBLER__][__LP64__](HAVE_GETTIMEOFDAY_VSYSCALL): Remove.

2024-07-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9f80d8134a15235732586e238ac28cea459fb60b
	debug: Fix clang open fortify wrapper (BZ 31927)

	* io/bits/fcntl2.h: Modified.
	[__fortify_use_clang](open): Remove.
	[__fortify_use_clang](open): Modified function.

2024-07-02  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: ba144c179eb12a6aff145582671cbb8b1045c5b9
	Add --disable-static-c++-tests option [BZ #31797]

	* INSTALL: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/install.texi: Modified.
	* nptl/Makefile: Modified.

2024-07-02  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 23f12e6e0c95aaf8b5b4973d029db794a43f248a
	Add --disable-static-c++-link-check option [BZ #31412]

	* INSTALL: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/install.texi: Modified.

2024-07-01  DJ Delorie  <dj@redhat.com>

	COMMIT: dce754b1553b86fc6352636f1fa490a85b7cf0ff
	Update mmap() flags and errors lists

	* manual/llio.texi: Modified.

2024-07-01  YunQiang Su  <syq@gcc.gnu.org>

	COMMIT: 9d0e9c8a138fe25e58fdfc21c2e000425579d9a8
	MIPSr6/math: Use builtin fma and fmaf

	* sysdeps/mips/fpu/math-use-builtins-fma.h: New file.

2024-07-01  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 018f0fc3b818d4d1460a4e2384c24802504b1d20
	elf: Support recursive use of dynamic TLS in interposed malloc

	* elf/Makefile: Modified.
	* elf/dl-tls.c: Modified.
	[SHARED](allocate_dtv_entry): Modified function.
	[SHARED](_dl_update_slotinfo): Modified function.
	[SHARED](__tls_get_addr): Modified function.
	(_dl_allocate_tls_storage): Modified function.
	(_dl_resize_dtv): Modified function.
	(_dl_add_to_slotinfo): Modified function.
	(_dl_tls_threads_in_update): New.
	(_dl_tls_allocate_begin): New function.
	(_dl_tls_allocate_end): New function.
	(_dl_tls_allocate_active): New function.
	(_dl_tls_initial_modid_limit): New.
	(_dl_tls_initial_modid_limit_setup): New function.
	* elf/rtld.c: Modified.
	(init_tls): Modified function.
	* elf/tst-recursive-tls.c: New file.
	* elf/tst-recursive-tlsmallocmod.c: New file.
	* elf/tst-recursive-tlsmodN.c: New file.
	* sysdeps/generic/ldsodefs.h: Modified.
	(_dl_tls_initial_modid_limit): New.
	(_dl_tls_initial_modid_limit_setup): New function.
	(_dl_tls_threads_in_update): New.
	* sysdeps/x86_64/dl-tls.c: Modified.
	[SHARED](__tls_get_addr_slow): Modified function.

2024-07-01  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: a7fe3e805d2ee128ac5f43b2a24201726d41cc04
	Fix conditionals on mtrace-based tests (bug 31892)

	* catgets/Makefile: Modified.
	* elf/Makefile: Modified.
	* libio/Makefile: Modified.
	* misc/Makefile: Modified.
	* nptl/Makefile: Modified.
	* posix/Makefile: Modified.
	* stdio-common/Makefile: Modified.

2024-07-01  Michel Lind  <michel@michel-slm.name>

	COMMIT: 4f7eb238d0da989a9deb50e9cd441cca895957dc
	signal/Makefile: Split and sort tests

	* signal/Makefile: Modified.

2024-06-30  MayShao-oc  <MayShao-oc@zhaoxin.com>

	COMMIT: 9dc645cb569af8db58dab2a1b296421f29c0cd4f
	x86: Set default non_temporal_threshold for Zhaoxin processors

	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.

2024-06-30  MayShao-oc  <MayShao-oc@zhaoxin.com>

	COMMIT: c19457aec67da28a3f78badef53556cd55640a6e
	x86_64: Optimize large size copy in memmove-ssse3

	* sysdeps/x86_64/multiarch/memmove-ssse3.S: Modified.

2024-06-30  MayShao-oc  <MayShao-oc@zhaoxin.com>

	COMMIT: 44d757eb9f4484dbc3aa32042ab64cdf9374e093
	x86: Set preferred CPU features on the KH-40000 and KX-7000 Zhaoxin processors

	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.

2024-06-30  Andrew Pinski  <quic_apinski@quicinc.com>

	COMMIT: 2f1f7a5f8aa7285e9a55b209dd01fdcb0d4e7281
	Aarch64: Add new memset for Qualcomm's oryon-1 core

	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memset.c: Modified.
	(__typeof): Modified function.
	(__memset_oryon1): New.
	* sysdeps/aarch64/multiarch/memset_oryon1.S: New file.

2024-06-30  Andrew Pinski  <quic_apinski@quicinc.com>

	COMMIT: 4dc83cac78a92a99cdd1ae808890083461597b82
	Aarch64: Add memcpy for qualcomm's oryon-1 core

	* sysdeps/aarch64/cpu-features.h: Modified.
	(IS_ORYON1): New.
	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	(__typeof): Modified function.
	(__memcpy_oryon1): New.
	* sysdeps/aarch64/multiarch/memcpy_oryon1.S: New file.

2024-06-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4228baef1a94e8bde84ad74f2e0358120a2bcac7
	debug: Fix clang open fortify wrapper (BZ 31927)

	* io/bits/fcntl2.h: Modified.
	[__fortify_use_clang](open): Modified.

2024-06-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c5579f3a713a631c4b5e2e3788ec715fbffd5af6
	debug: Fix clang mq_open fortify wrapper (BZ 31917)

	* rt/bits/mqueue2.h: Modified.
	[__fortify_use_clang](__NTH): Modified.
	[__fortify_use_clang](__NTH): Remove.
	[__fortify_use_clang](__NTH): Modified function.
	[__fortify_use_clang](__NTH): Modified function.

2024-06-27  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: c0f21e073d45670cb54811b07fce8e612a91f107
	tests-mbwc: Silence gcc 14 -Werror=format-overflow=

	* localedata/tests-mbwc/tsp_common.c: Modified.
	(MAX_RESULT_REC): Remove.
	(result_rec): Remove.
	(result): Modified function.

2024-06-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 21738846a19eb4a36981efd37d9ee7cb6d687494
	time: Avoid memcmp overread in tzset (bug 31931)

	* time/Makefile: Modified.
	* time/tst-tzfile-fault.c: New file.
	* time/tzfile.c: Modified.
	(__tzfile_read): Modified function.

2024-06-26  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: b79238db4ac7b8e710c8cab4307ce6cb1c3937d8
	Fix strnlen doc re array size

	* manual/string.texi: Modified.

2024-06-26  Palmer Dabbelt  <palmer@rivosinc.com>

	COMMIT: 07fe71f59b13bbc336ece3ec9ef94dd95c9e0511
	arm: Avoid UB in elf_machine_rel()

	* sysdeps/arm/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rel): Modified function.

2024-06-26  mengqinggang  <mengqinggang@loongson.cn>

	COMMIT: a10b6ad471d7b528149f5ff32eef2f1c1dc1213c
	LoongArch: Fix tst-gnu2-tls2 test case

	* sysdeps/loongarch/tst-gnu2-tls2.h: Modified.
	[! __loongarch_soft_float][HAVE_LOONGARCH_VEC_COM](SAVE_REGISTER_LSX): Modified.
	[! __loongarch_soft_float][HAVE_LOONGARCH_VEC_COM](SAVE_REGISTER_LASX): Modified.
	[! __loongarch_soft_float](SAVE_REGISTER_FCC): Modified.
	[! __loongarch_soft_float](LOAD_REGISTER_FCSR): Remove.
	[! __loongarch_soft_float](SAVE_REGISTER_FCSR): Modified.
	[! __loongarch_soft_float](INIT_TLSDESC_CALL): Remove.
	[! __loongarch_soft_float](LOAD_REGISTER_FLOAT): Modified.
	[! __loongarch_soft_float](SAVE_REGISTER_FLOAT): Modified.
	[! __loongarch_soft_float](BEFORE_TLSDESC_CALL): Modified.
	[! __loongarch_soft_float](AFTER_TLSDESC_CALL): Modified.
	[! __loongarch_soft_float](_next <tst-gnu2-tls2.h): Include file.
	(_next <tst-gnu2-tls2.h): Remove include.
	(stdio.h): Include file.

2024-06-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c90cfce849d010474e8cccf3e5bff49a2c8b141f
	posix: Fix pidfd_spawn/pidfd_spawnp leak if execve fails (BZ 31695)

	* posix/tst-spawn2.c: Modified.
	(do_test): Modified function.
	(support/descriptors.h): Include file.
	* sysdeps/unix/sysv/linux/spawni.c: Modified.
	(__spawnix): Modified function.

2024-06-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 17a293c5fab878a0b59e31047f49833f156bdeef
	INSTALL: regenerate

	* INSTALL: Modified.

2024-06-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: d32c34242571d5c2a9c61bbd43926b774e15b80c
	Revert "MIPSr6/math: Use builtin fma and fmaf"

	* sysdeps/mips/fpu/math-use-builtins-fma.h: Delete file.

2024-06-24  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 5d1007a81a7f515caca6e59a338e950aca52948a
	INSTALL: Fix typo ibmlondouble to ibmlongdouble

	* manual/install.texi: Modified.

2024-06-24  Christoph Müllner  <christoph.muellner@vrull.eu>

	COMMIT: 81c7f6193ce66480b2a29a5b2c66a7356e743308
	RISC-V: Execute a PAUSE hint in spin loops

	* sysdeps/unix/sysv/linux/riscv/atomic-machine.h: Modified.
	(atomic_spin_nop): New.

2024-06-24  YunQiang Su  <syq@gcc.gnu.org>

	COMMIT: 9e06e4a43b58519991acbed1d7f33abc40249226
	MIPSr6/math: Use builtin fma and fmaf

	* sysdeps/mips/fpu/math-use-builtins-fma.h: New file.

2024-06-24  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 6f8c0dca8c9b76db4c1621247259bd6ec7ecb9cf
	po: incorporate translations (cs, de, hr, ko, pl, ro, ru, sv, uk, zh_CN)

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ro.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2024-06-24  Andreas Schwab  <schwab@suse.de>

	COMMIT: 2a6c922f09e7a1c206e0cbdb4424f1cf101a5bda
	mtrace: make shell commands robust against meta characters

	* malloc/mtrace.pl: Modified.

2024-06-23  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: aecde502e9bb20a30b0f111b5a690af1746b78ef
	hppa/vdso: Add wrappers for vDSO functions

	* sysdeps/unix/sysv/linux/hppa/sysdep.h: Modified.
	[! __ASSEMBLER__][! __LP64__](HAVE_CLOCK_GETTIME_VSYSCALL): New.
	[! __ASSEMBLER__][! __LP64__](HAVE_CLOCK_GETTIME64_VSYSCALL): New.
	[! __ASSEMBLER__][! __LP64__](HAVE_GETTIMEOFDAY_VSYSCALL): New.
	[! __ASSEMBLER__][__LP64__](HAVE_CLOCK_GETTIME_VSYSCALL): New.
	[! __ASSEMBLER__][__LP64__](HAVE_GETTIMEOFDAY_VSYSCALL): New.
	[! __ASSEMBLER__](VDSO_NAME): New.
	[! __ASSEMBLER__](VDSO_HASH): New.

2024-06-23  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 9dddb2695443afea3cdb7f3856f23b6d045311fc
	Update hppa libm-test-ulps

	* sysdeps/hppa/fpu/libm-test-ulps: Modified.

2024-06-21  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 5aa2f79691ca6a40a59dfd4a2d6f7baff6917eb7
	Benchtests: Remove broken walk benchmarks

	* benchtests/Makefile: Modified.
	* benchtests/bench-bzero-walk.c: Delete file.
	* benchtests/bench-memcpy-walk.c: Delete file.
	* benchtests/bench-memmove-walk.c: Delete file.
	* benchtests/bench-memset-walk.c: Delete file.
	* benchtests/bench-memset-zero-walk.c: Delete file.

2024-06-20  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: da61ba3f8930e9b39fe35f88cb2ed4bc4571e598
	Update hppa libm-test-ulps

	* sysdeps/hppa/fpu/libm-test-ulps: Modified.

2024-06-20  Julian Zhu  <jz531210@gmail.com>

	COMMIT: 9f2bf0e23a95d8d7268683c65b867c2ddcc22651
	RISC-V: Update ulps

	* sysdeps/riscv/rvd/libm-test-ulps: Modified.

2024-06-20  Julian Zhu  <jz531210@gmail.com>

	COMMIT: cb20e7c7cc3bf6344edd77008528b2b386cb37c2
	MIPS: Update ulps

	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.

2024-06-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: dd144dce21c864781fade4561581d50fb4549956
	malloc: Replace shell/Perl gate in mtrace

	* malloc/mtrace.pl: Modified.

2024-06-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b375e597da3139b40f7c0ba959a6800f5b8971d5
	i386: Update ulps

	* sysdeps/i386/fpu/libm-test-ulps: Modified.

2024-06-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 362588f7cc56354b3566a14dfbeb55ad74a9bd31
	s390x: Capture grep output in static PIE check

	* sysdeps/s390/s390-64/configure: Modified.
	* sysdeps/s390/s390-64/configure.ac: Modified.

2024-06-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 71dafdf5f19dd2b0729e4774149944911a405bc6
	powerpc: Update ulps

	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.

2024-06-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3cb77b7d1e73333a590d206f538b2e5726fb558e
	i386: Update ulps

	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2024-06-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 086910fc41655152812b515dc324d2ac0dc36e67
	malloc: Always install mtrace (bug 31892)

	* malloc/Makefile: Modified.
	* malloc/mtrace.pl: Modified.

2024-06-19  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: da905bb706672c84130226bfff9de7d6ba1f0eb6
	Translations: Regenerate libc.pot

	* po/libc.pot: Modified.

2024-06-19  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 9405d54c627948ff607154c41e32174f4eed49c5
	LoongArch: Update ulps

	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.

2024-06-19  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 4f1cf0c0e1764bd77235b07ff63631e866939ec6
	sparc: Regenerate ULPs

	* sysdeps/sparc/fpu/libm-test-ulps: Modified.

2024-06-19  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 19f6d6a480b29912022184f31f11dbf1c201a86b
	s390x: Regenerate ULPs.

	* sysdeps/s390/fpu/libm-test-ulps: Modified.

2024-06-19  mengqinggang  <mengqinggang@loongson.cn>

	COMMIT: 9a675d998ea1b37d5fc40611b015cc5c595d375c
	LoongArch: Fix _dl_tlsdesc_dynamic in LSX case

	* sysdeps/loongarch/dl-tlsdesc.S: Modified.

2024-06-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 92341e31502865a0ab1f28e2240df20d19371832
	arm: Update ulps

	* sysdeps/arm/libm-test-ulps: Modified.

2024-06-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 45f5f51b85f23fe724f4dfd10048de00d86470fe
	aarch64: Update ulps

	* sysdeps/aarch64/libm-test-ulps: Modified.

2024-06-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 52b397bafa9e6a23b6b50c56617fea2b0bf1f445
	powerpc: Update ulps

	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.

2024-06-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f6ea5d1291cf3f264514d03872ebae84e0293b69
	Linux: Include <dl-symbol-redir-ifunc.h> in dl-sysdep.c

	* sysdeps/unix/sysv/linux/dl-sysdep.c: Modified.
	(dl-symbol-redir-ifunc.h): Include file.

2024-06-18  Carlos Llamas  <cmllamas@google.com>

	COMMIT: 176671f6042912200ea9733bb6cc8212e06bc85e
	linux: add definitions for hugetlb page size encodings

	* sysdeps/unix/sysv/linux/bits/mman-linux.h: Modified.
	(MAP_HUGE_16KB): New.
	(MAP_HUGE_64KB): New.
	(MAP_HUGE_512KB): New.
	(MAP_HUGE_1MB): New.
	(MAP_HUGE_2MB): New.
	(MAP_HUGE_8MB): New.
	(MAP_HUGE_16MB): New.
	(MAP_HUGE_32MB): New.
	(MAP_HUGE_256MB): New.
	(MAP_HUGE_512MB): New.
	(MAP_HUGE_1GB): New.
	(MAP_HUGE_2GB): New.
	(MAP_HUGE_16GB): New.
	* sysdeps/unix/sysv/linux/bits/shm.h: Modified.
	[__USE_MISC](SHM_HUGE_SHIFT): New.
	[__USE_MISC](SHM_HUGE_MASK): New.
	[__USE_MISC](SHM_HUGE_16KB): New.
	[__USE_MISC](SHM_HUGE_64KB): New.
	[__USE_MISC](SHM_HUGE_512KB): New.
	[__USE_MISC](SHM_HUGE_1MB): New.
	[__USE_MISC](SHM_HUGE_2MB): New.
	[__USE_MISC](SHM_HUGE_8MB): New.
	[__USE_MISC](SHM_HUGE_16MB): New.
	[__USE_MISC](SHM_HUGE_32MB): New.
	[__USE_MISC](SHM_HUGE_256MB): New.
	[__USE_MISC](SHM_HUGE_512MB): New.
	[__USE_MISC](SHM_HUGE_1GB): New.
	[__USE_MISC](SHM_HUGE_2GB): New.
	[__USE_MISC](SHM_HUGE_16GB): New.
	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.

2024-06-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: e260ceb4aa85dfde1280a80bd6373b11b43266af
	elf: Remove HWCAP_IMPORTANT

	* elf/dl-diagnostics.c: Modified.
	(_dl_print_diagnostics): Modified function.
	* sysdeps/alpha/dl-procinfo.h: Modified.
	(HWCAP_IMPORTANT): Remove.
	* sysdeps/csky/dl-procinfo.h: Modified.
	(HWCAP_IMPORTANT): Remove.
	* sysdeps/generic/dl-procinfo.h: Modified.
	(HWCAP_IMPORTANT): Remove.
	* sysdeps/mips/dl-procinfo.h: Modified.
	(HWCAP_IMPORTANT): Remove.
	* sysdeps/powerpc/dl-procinfo.h: Modified.
	(HWCAP_IMPORTANT): Remove.
	* sysdeps/s390/dl-procinfo.h: Modified.
	(HWCAP_IMPORTANT): Remove.
	* sysdeps/sparc/dl-procinfo.h: Modified.
	(bits/wordsize.h): Remove include.
	(HWCAP_IMPORTANT_V9): Remove.
	(HWCAP_IMPORTANT): Remove.
	* sysdeps/unix/sysv/linux/aarch64/dl-procinfo.h: Modified.
	(HWCAP_IMPORTANT): Remove.
	* sysdeps/unix/sysv/linux/arm/dl-procinfo.h: Modified.
	(HWCAP_IMPORTANT): Remove.
	* sysdeps/x86/dl-hwcap.h: Modified.
	[! __x86_64__](HWCAP_IMPORTANT): Remove.
	[IS_IN (ldconfig)](HWCAP_IMPORTANT): Remove.
	[__x86_64__](HWCAP_IMPORTANT): Remove.

2024-06-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: ad0aa1f54975bd20e30559930ea48a3568441ff4
	elf: Remove LD_HWCAP_MASK / tunable glibc.cpu.hwcap_mask

	* elf/dl-tunables.list: Modified.
	* elf/tst-env-setuid.c: Modified.
	* manual/README.tunables: Modified.
	* manual/tunables.texi: Modified.
	* sysdeps/generic/unsecvars.h: Modified.
	(UNSECURE_ENVVARS): Modified.
	* sysdeps/sparc/sparc32/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_matches_host): Modified function.

2024-06-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 343439a31ed1f07da307037b2c92b8ab3367c05c
	elf: Remove _DL_PLATFORMS_COUNT

	* sysdeps/alpha/dl-procinfo.h: Modified.
	(_DL_PLATFORMS_COUNT): Remove.
	* sysdeps/csky/dl-procinfo.h: Modified.
	(_DL_PLATFORMS_COUNT): Remove.
	* sysdeps/mips/dl-procinfo.h: Modified.
	(_DL_PLATFORMS_COUNT): Remove.
	* sysdeps/powerpc/dl-procinfo.h: Modified.
	(_DL_PLATFORMS_COUNT): Remove.
	* sysdeps/s390/dl-procinfo.h: Modified.
	(_DL_PLATFORMS_COUNT): Remove.
	* sysdeps/x86/dl-hwcap.h: Modified.
	[! __x86_64__](HWCAP_PLATFORMS_START): Remove.
	[! __x86_64__](HWCAP_PLATFORMS_COUNT): Remove.
	[IS_IN (ldconfig)](HWCAP_PLATFORMS_START): Remove.
	[IS_IN (ldconfig)](HWCAP_PLATFORMS_COUNT): Remove.
	[__x86_64__](HWCAP_PLATFORMS_START): Remove.
	[__x86_64__](HWCAP_PLATFORMS_COUNT): Remove.
	* sysdeps/x86/dl-procinfo.c: Modified.
	* sysdeps/x86/dl-procinfo.h: Modified.
	(_DL_PLATFORMS_COUNT): Remove.
	* sysdeps/x86_64/dl-procruntime.c: Modified.

2024-06-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 43c7c5e62dbd7bf6c17f4688fb5f4990ae49e7fb
	elf: Remove _DL_FIRST_PLATFORM

	* sysdeps/s390/dl-procinfo.h: Modified.
	(_DL_FIRST_PLATFORM): Remove.
	* sysdeps/x86/dl-procinfo.h: Modified.
	(_DL_FIRST_PLATFORM): Remove.

2024-06-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: ed23449dac42c3718757dc8ff69a6480d869fb9c
	elf: Remove _DL_HWCAP_PLATFORM

	* sysdeps/alpha/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.
	* sysdeps/csky/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.
	* sysdeps/generic/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.
	* sysdeps/mips/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.
	* sysdeps/powerpc/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.
	* sysdeps/s390/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.
	* sysdeps/sparc/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.
	* sysdeps/unix/sysv/linux/aarch64/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.
	* sysdeps/unix/sysv/linux/arm/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.
	* sysdeps/x86/dl-procinfo.h: Modified.
	(_DL_HWCAP_PLATFORM): Remove.

2024-06-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 374c8b44831e7fe65ab0005cec98f7bb2d35c58e
	elf: Remove platform strings in dl-procinfo.c

	* sysdeps/alpha/dl-procinfo.c: Delete file.
	* sysdeps/csky/dl-procinfo.c: Delete file.
	* sysdeps/mips/dl-procinfo.c: Modified.
	[! PROCINFO_CLASS](PROCINFO_CLASS): Remove.
	[!(! PROCINFO_DECL &&  SHARED)][! PROCINFO_DECL](_dl_mips_platforms): Remove.
	[!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_DECL): Remove.
	[!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL](PROCINFO_CLASS): Remove.
	(PROCINFO_DECL): New.
	(PROCINFO_CLASS): New.
	* sysdeps/s390/dl-procinfo-s390.c: Modified.
	(_dl_s390_platforms): Remove.
	* sysdeps/s390/dl-procinfo.h: Modified.
	(_dl_s390_platforms): Remove.
	* sysdeps/x86/dl-procinfo.c: Modified.
	[!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][! PROCINFO_DECL](_dl_x86_platforms): Remove.
	[!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][SHARED && !IS_IN (ldconfig)][PROCINFO_DECL][! PROCINFO_DECL](_dl_x86_tlsdesc_dynamic): Remove.
	[!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][!(! PROCINFO_DECL &&  SHARED)][PROCINFO_DECL][SHARED && !IS_IN (ldconfig)][PROCINFO_DECL][! PROCINFO_DECL](_dl_x86_tlsdesc_dynamic): New.

2024-06-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 8faada830227aeb1a17117cbf8b94d9be0f5ffe1
	elf: Remove _dl_string_platform

	* elf/dl-diagnostics.c: Modified.
	(_dl_print_diagnostics): Modified function.
	* sysdeps/alpha/dl-procinfo.h: Modified.
	(_dl_string_platform): Remove function.
	* sysdeps/csky/dl-procinfo.h: Modified.
	(_dl_string_platform): Remove function.
	* sysdeps/generic/dl-procinfo.h: Modified.
	(_dl_string_platform): Remove.
	* sysdeps/mips/dl-procinfo.h: Modified.
	(_dl_string_platform): Remove function.
	* sysdeps/s390/dl-procinfo.h: Modified.
	(_dl_string_platform): Remove function.
	* sysdeps/sparc/dl-procinfo.h: Modified.
	(_dl_string_platform): Remove.
	* sysdeps/unix/sysv/linux/aarch64/dl-procinfo.h: Modified.
	(_dl_string_platform): Remove.
	* sysdeps/unix/sysv/linux/arm/dl-procinfo.h: Modified.
	(_dl_string_platform): Remove.
	* sysdeps/x86/dl-procinfo.h: Modified.
	(_dl_string_platform): Remove function.

2024-06-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: c5aa5fd40adc81c4f0b18e01f329aeaf86518c7b
	elf: Remove loading legacy hwcaps/platform entries in dynamic loader

	* elf/dl-cache.c: Modified.
	[! _DL_PLATFORMS_COUNT](_DL_PLATFORMS_COUNT): Remove.
	(search_cache): Modified function.

2024-06-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: f14b6dfc87bc237bb9a673f1b74d52d434f75b7c
	x86: Remove HWCAP_START and HWCAP_COUNT

	* sysdeps/x86/dl-hwcap.h: Modified.
	[! __x86_64__](HWCAP_START): Remove.
	[! __x86_64__](HWCAP_COUNT): Remove.
	[IS_IN (ldconfig)](HWCAP_START): Remove.
	[IS_IN (ldconfig)](HWCAP_COUNT): Remove.
	[__x86_64__](HWCAP_START): Remove.
	[__x86_64__](HWCAP_COUNT): Remove.

2024-06-17  YunQiang Su  <syq@debian.org>

	COMMIT: eaf4fc516a4c91de0c0f88d2d7b544751ea6f72b
	math: Update mips32/mips64 ulps for log2p1

	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.

2024-06-17  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 98ffc1bfeb04fb04b7f18f1cbfccf1e43d6a867f
	Convert to autoconf 2.72 (vanilla release, no distribution patches)

	* INSTALL: Modified.
	* aclocal.m4: Modified.
	* configure: Modified.
	* manual/install.texi: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/arc/configure: Modified.
	* sysdeps/arm/configure: Modified.
	* sysdeps/hppa/configure: Modified.
	* sysdeps/i386/configure: Modified.
	* sysdeps/ieee754/ldbl-opt/configure: Modified.
	* sysdeps/loongarch/configure: Modified.
	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/hurd/configure: Modified.
	* sysdeps/mips/configure: Modified.
	* sysdeps/nios2/configure: Modified.
	* sysdeps/powerpc/powerpc32/fpu/configure: Modified.
	* sysdeps/powerpc/powerpc64/configure: Modified.
	* sysdeps/powerpc/powerpc64/le/configure: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/configure: Modified.
	* sysdeps/riscv/configure: Modified.
	* sysdeps/s390/configure: Modified.
	* sysdeps/s390/s390-64/configure: Modified.
	* sysdeps/sparc/sparc32/configure: Modified.
	* sysdeps/unix/sysv/linux/configure: Modified.
	* sysdeps/unix/sysv/linux/loongarch/configure: Modified.
	* sysdeps/unix/sysv/linux/mips/configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/configure: Modified.
	* sysdeps/unix/sysv/linux/riscv/configure: Modified.
	* sysdeps/x86/configure: Modified.
	* sysdeps/x86_64/configure: Modified.

2024-06-17  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 7ec903e028271d029818378fd60ddaf6b76b89ac
	Implement C23 exp2m1, exp10m1

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-exp10m1: New file.
	* math/auto-libm-test-out-exp2m1: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-exp10m1.inc: New file.
	* math/libm-test-exp2m1.inc: New file.
	* math/s_exp10m1_template.c: New file.
	* math/s_exp2m1_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](exp2m1): New.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](exp10m1): New.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-exp10m1.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-exp2m1.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128_private.h: Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): New function.
	[_F128_ENABLE_IFUNC](F128_REDIR): New function.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/math-type-macros-float128.h: Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): Modified.
	[_F128_ENABLE_IFUNC](F128_REDIR): New function.
	[_F128_ENABLE_IFUNC](F128_REDIR): New function.
	[_F128_ENABLE_IFUNC](F128_REDIR): New function.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-06-17  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 55eb99e9a9d840ba452b128be14d6529c2dde039
	Implement C23 log10p1

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-log10p1: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-log10p1.inc: New file.
	* math/s_log10p1_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](log10p1): New.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-log10p1.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/powerpc/nofpu/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-06-17  Joseph Myers  <josmyers@redhat.com>

	COMMIT: bb014f50c4a0c8d8db1ba5af55c104e430b5533d
	Implement C23 logp1

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-log1p.inc: Modified.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](logp1): New.
	* math/w_log1p_template.c: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/float128/Makefile: Modified.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(logp1l): New.
	* sysdeps/ieee754/ldbl-128/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-96/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-log1p.c: Modified.
	(weak_alias): New.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/m68k/coldfire/fpu/libm-test-ulps: Modified.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/nios2/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc-redirects.h: Modified.
	(__typeof): New function.
	(__w_log1pf128): New.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc.h: Modified.
	(DECL_ALIAS_w_log1p): Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/math-type-macros-float128.h: Modified.
	[_F128_ENABLE_IFUNC](__w_logp1f128): New function.
	[_F128_ENABLE_IFUNC](F128_REDIR): New function.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-06-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ca38eff28015f376c020b4dfad5351e45be8d090
	support: Include <limits.h> for NAME_MAX use in temp_file.c

	* support/temp_file.c: Modified.
	(limits.h): Include file.

2024-06-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cb65d6610445a95f78b958af44f52746b4e36b24
	support: Include <stdlib.h> for atoi use in support_wait_for_thread_exit

	* support/support_wait_for_thread_exit.c: Modified.
	(stdlib.h): Include file.

2024-06-17  Jan Kurik  <jkurik@redhat.com>

	COMMIT: 6739bbb4df0e5c8f7575127c89de400669c0d050
	Extend tst-getconf.sh test with NPROCESSORS_CONF and NPROCESSORS_ONLN

	* posix/tst-getconf.sh: Modified.

2024-06-17  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 3ea79f50853afcbe17d6a4e2537e1bd5a2d17e7d
	Define ISO 639-3 "ltg" (Latgalian) and add ltg_LV locale

	* locale/iso-639.def: Modified.
	* localedata/Makefile: Modified.
	* localedata/SUPPORTED: Modified.
	* localedata/locales/ltg_LV: New file.
	* localedata/ltg_LV.UTF-8.in: New file.

2024-06-15  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 6059938728a98270b9706488887f43baa0471eba
	INSTALL: regenerate

	* INSTALL: Modified.

2024-06-15  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 7c1ec1b7d0b476610c811b0babeab831e626c088
	Minor code improvement to timespec_subtract example

	* manual/examples/timespec_subtract.c: Modified.
	(timespec_subtract): Modified function.

2024-06-15  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: ee768a30fe9099972dad04c49972c2508a208b9b
	Modernize and fix doc’s “Date and Time” (BZ 31876)

	* benchtests/strcoll-inputs/filelist#en_US.UTF-8: Modified.
	* manual/conf.texi: Modified.
	* manual/contrib.texi: Modified.
	* manual/examples/strftim.c: Modified.
	(SIZE): Remove.
	(main): Modified function.
	* manual/examples/timespec_subtract.c: New file.
	* manual/examples/timeval_subtract.c: Delete file.
	* manual/install.texi: Modified.
	* manual/startup.texi: Modified.
	* manual/time.texi: Modified.
	* time/localtime.c: Modified.

2024-06-15  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 41d6461484d6d456fb07f495fb595e06b44758c4
	manual: minor language fix (bz 31340)

	* manual/resource.texi: Modified.

2024-06-14  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 5b54a33435e5533653a9956728f2de9d16a3b4ee
	x86: Fix value for `x86_memset_non_temporal_threshold` when it is undesirable

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.

2024-06-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0b7f7842f812e7a70a79ce001e22942f7fe200aa
	elf: Change module-names to modules-names in comments

	* elf/Makefile: Modified.

2024-06-14  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 3953b5b88f674d33675662e2e8d3a5f3cfda720c
	i686: Regenerate ulps

	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2024-06-14  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 97aa7b7346bb9f1807e450c889fccbd2a7d8ff49
	LoongArch: Ensure sp 16-byte aligned for tlsdesc

	* sysdeps/loongarch/dl-tlsdesc.S: Modified.
	* sysdeps/loongarch/sys/asm.h: Modified.
	(SZFCSREG): Remove.

2024-06-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 868ab8923a2ec977faafec97ecafac0c3159c1b2
	resolv: Track single-request fallback via _res._flags (bug 31476)

	* resolv/res_send.c: Modified.
	(send_dg): Modified function.
	* resolv/resolv-internal.h: Modified.
	(RES_F_SNGLKUP): New.
	(RES_F_SNGLKUPREOP): New.

2024-06-12  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 29807a271edca3e47195bda0c69ae45e245551a9
	x86: Properly set x86 minimum ISA level [BZ #31883]

	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.
	* sysdeps/x86/isa-level.h: Modified.
	[!(__X86_ISA_V1 &&  __GCC_HAVE_SYNC_COMPARE_AND_SWAP_16  &&  HAVE_X86_LAHF_SAHF &&  __POPCNT__ &&  __SSE3__  &&  __SSSE3__ &&  __SSE4_1__ &&  __SSE4_2__)](__X86_ISA_V2): Remove.
	[__X86_ISA_V1 &&  __GCC_HAVE_SYNC_COMPARE_AND_SWAP_16  &&  HAVE_X86_LAHF_SAHF &&  __POPCNT__ &&  __SSE3__  &&  __SSSE3__ &&  __SSE4_1__ &&  __SSE4_2__](__X86_ISA_V2): Remove.
	[! __x86_64__][__GCC_HAVE_SYNC_COMPARE_AND_SWAP_8](__GCC_HAVE_SYNC_COMPARE_AND_SWAP): New.
	[!(__X86_ISA_V1 &&  __GCC_HAVE_SYNC_COMPARE_AND_SWAP		  &&  HAVE_X86_LAHF_SAHF &&  __POPCNT__ &&  __SSE3__  &&  __SSSE3__ &&  __SSE4_1__ &&  __SSE4_2__)](__X86_ISA_V2): New.
	[__X86_ISA_V1 &&  __GCC_HAVE_SYNC_COMPARE_AND_SWAP		  &&  HAVE_X86_LAHF_SAHF &&  __POPCNT__ &&  __SSE3__  &&  __SSSE3__ &&  __SSE4_1__ &&  __SSE4_2__](__X86_ISA_V2): New.
	[__x86_64__][__GCC_HAVE_SYNC_COMPARE_AND_SWAP_16](__GCC_HAVE_SYNC_COMPARE_AND_SWAP): New.

2024-06-12  DJ Delorie  <dj@redhat.com>

	COMMIT: 8859607eaa068a3aaa7df7f54eff186b25ecdad0
	tunables: sort tunables list (BZ 30027)

	* Makeconfig: Modified.
	* scripts/gen-tunables.awk: Modified.

2024-06-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7edd3814b00c46a404cbaf316eab9db18438c3dd
	linux: Remove __stack_prot

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	[!(_STACK_GROWS_UP &&  PROT_GROWSUP)](__stack_prot): Remove.
	[_STACK_GROWS_DOWN &&  PROT_GROWSDOWN](__stack_prot): Remove.
	[_STACK_GROWS_UP &&  PROT_GROWSUP](__stack_prot): Remove.
	(__stack_prot): Remove.
	(__rtld_env_path_list): New.
	* sysdeps/unix/sysv/linux/dl-execstack.c: Modified.
	(__stack_prot): Remove.
	(make_main_stack_executable): Modified function.

2024-06-11  Philip Kaludercic  <philipk@posteo.net>

	COMMIT: e7ac92e6ca9784b397189df0b2e1fb34f425bab8
	<stdio.h>: Acknowledge that getdelim/getline are in POSIX

	* libio/stdio.h: Modified.

2024-06-11  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 10733d6a72381a54644e16094c39ca7540660a59
	localedata: Lowercase day and abday in cs_CZ

	* localedata/locales/cs_CZ: Modified.

2024-06-11  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 09bc68b0ac26331a0109f0578c9368e09176da18
	x86: Properly set MINIMUM_X86_ISA_LEVEL for i386 [BZ #31867]

	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.

2024-06-10  Joe Damato  <jdamato@fastly.com>

	COMMIT: bef2a827a55fc759693ccc5b0f614353b8ad712d
	x86: Enable non-temporal memset tunable for AMD

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.

2024-06-10  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 5968125f55a3a3f3394e4ebe45e1f96d4864c576
	hurd: Fix getxattr/listxattr returning ERANGE

	* hurd/xattr.c: Modified.
	(_hurd_xattr_get): Modified function.
	(_hurd_xattr_list): Modified function.

2024-06-10  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ed06248019908dd4f286552594ac3ec844ef3da4
	hurd: Fix setxattr return value on replacing

	* hurd/xattr.c: Modified.
	(_hurd_xattr_set): Modified function.

2024-06-10  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ba5a23422a156804234dff6c5be89e20ee8f9ec2
	hurd: Fix getxattr("gnu.translator") returning ENODATA

	* hurd/xattr.c: Modified.
	(_hurd_xattr_get): Modified function.

2024-06-10  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 74f9ee3b91931967df5601ad63a4b02f5cd75b43
	hurd: Fix lsetxattr return value

	* sysdeps/mach/hurd/lsetxattr.c: Modified.
	(lsetxattr): Modified function.

2024-06-07  David Paleino  <dapal@debian.org>

	COMMIT: eb370158794d7c64740a257ab2246ab46b90306a
	localedata: add new locales scn_IT

	* localedata/SUPPORTED: Modified.
	* localedata/locales/scn_IT: New file.

2024-06-05  Avinal Kumar  <avinal.xlvii@gmail.com>

	COMMIT: 54c1efdac55b756a4e2ea95590bcc3ba396a6568
	support: Fix typo in xgetsockname error message

	* support/xgetsockname.c: Modified.
	(xgetsockname): Modified function.

2024-06-05  Mohamed Akram  <mohd.akram@outlook.com>

	COMMIT: 2f7246015c0d0760ab4529c4b13b2816337bed35
	getconf: Add NPROCESSORS_{CONF,ONLN} [BZ #31661]

	* posix/getconf.c: Modified.

2024-06-04  Joe Damato  <jdamato@fastly.com>

	COMMIT: 92c270d32caf3f8d5a02b8e46c7ec5d9d0315158
	Linux: Add epoll ioctls

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/sys/epoll.h: Modified.
	(sys/ioctl.h): Include file.
	(epoll_params): New.
	(EPOLL_IOC_TYPE): New.
	(EPIOCSPARAMS): New.
	(EPIOCGPARAMS): New.
	* sysdeps/unix/sysv/linux/tst-epoll-ioctls.c: New file.

2024-06-04  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 400bdb5c85af5a52b3f5653357c9fca87f036bd3
	Improve doc for time_t range (BZ 31808)

	* manual/time.texi: Modified.

2024-06-04  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: cafef3eb21db24f2e8113b0adc12c0f15d4dec41
	difftime can throw exceptions

	* time/time.h: Modified.
	[! __USE_TIME64_REDIRECTS](__attribute_pure__): Remove.
	[! __USE_TIME64_REDIRECTS](difftime): New function.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__attribute_pure__): Remove.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): New function.

2024-06-04  sayan paul  <saypaul@redhat.com>

	COMMIT: 127fc56152347d73cb7c1c283e60e1cb1f15e9f9
	malloc: New test to check malloc alternate path using memory obstruction

	* malloc/Makefile: Modified.
	* malloc/tst-malloc-alternate-path.c: New file.

2024-06-04  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 2a9943b4a03b6bce7c2b1b047592eee38ab74fab
	math: Fix exp10 undefined left shift

	* sysdeps/ieee754/dbl-64/e_exp10.c: Modified.
	(special_case): Modified function.
	(__exp10): Modified function.

2024-06-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d0106b6ae26c8cc046269358a77188105c99d5e3
	libio: Test for fdopen memory leak without SEEK_END support (bug 31840)

	* libio/Makefile: Modified.
	* libio/tst-fdopen-seek-failure.c: New file.

2024-06-04  Andreas Schwab  <schwab@suse.de>

	COMMIT: b2c3ee3724900975deaf5eae57640bb0c2d7315e
	Remove memory leak in fdopen (bug 31840)

	* libio/iofdopen.c: Modified.
	(_IO_new_fdopen): Modified function.

2024-06-04  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 1d441791cbea02b0261579f0332a7a85c21e2a3f
	Add new AArch64 HWCAP2 definitions from Linux 6.9 to bits/hwcap.h

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_FPMR): New.
	(HWCAP2_LUT): New.
	(HWCAP2_FAMINMAX): New.
	(HWCAP2_F8CVT): New.
	(HWCAP2_F8FMA): New.
	(HWCAP2_F8DP4): New.
	(HWCAP2_F8DP2): New.
	(HWCAP2_F8E4M3): New.
	(HWCAP2_F8E5M2): New.
	(HWCAP2_SME_LUTV2): New.
	(HWCAP2_SME_F8F16): New.
	(HWCAP2_SME_F8F32): New.
	(HWCAP2_SME_SF8FMA): New.
	(HWCAP2_SME_SF8DP4): New.
	(HWCAP2_SME_SF8DP2): New.

2024-06-04  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 9063b32b3c3438452d9b47a0213a9d2007252554
	Add more NT_ARM_* constants from Linux kernel to elf.h

	* elf/elf.h: Modified.
	(NT_ARM_SSVE): New.
	(NT_ARM_ZA): New.
	(NT_ARM_ZT): New.
	(NT_ARM_FPMR): New.

2024-06-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 992daa0b4b5fa8a9f403c9575638cec288e12bfa
	stdlib: Describe __cxa_finalize usage in function comment

	* stdlib/cxa_finalize.c: Modified.

2024-06-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: afe42e935b3ee97bac9a7064157587777259c60e
	elf: Avoid some free (NULL) calls in _dl_update_slotinfo

	* elf/dl-tls.c: Modified.
	[SHARED](_dl_update_slotinfo): Modified function.

2024-05-30  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 46b5e98ef6f1b9f4b53851f152ecb8209064b26c
	x86: Add seperate non-temporal tunable for memset

	* manual/tunables.texi: Modified.
	* sysdeps/x86/cacheinfo.h: Modified.
	[IS_IN (libc)](init_cacheinfo): Modified function.
	[IS_IN (libc)](__x86_memset_non_temporal_threshold): New.
	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.
	* sysdeps/x86/dl-diagnostics-cpu.c: Modified.
	(_dl_diagnostics_cpu): Modified function.
	* sysdeps/x86/dl-tunables.list: Modified.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(cpu_features): Modified.
	* sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S: Modified.

2024-05-30  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 5bf0ab80573d66e4ae5d94b094659094336da90f
	x86: Improve large memset perf with non-temporal stores [RHEL-29312]

	* sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S: Modified.

2024-05-30  Luca Boccassi  <bluca@debian.org>

	COMMIT: 53f9d74322c831c76bc6cf6ed8941267e8749604
	elf: add note identifier for dlopen metadata

	* elf/elf.h: Modified.
	(NT_FDO_DLOPEN_METADATA): New.

2024-05-30  Luca Boccassi  <bluca@debian.org>

	COMMIT: 52aae0860018b500b8212b5d63495dbe6b9b7022
	elf: update NT_FDO_PACKAGING_METADATA spec URL

	* elf/elf.h: Modified.

2024-05-28  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 0c1d2c277a59f08fd3232b33d18644ea890190ea
	LoongArch: Use "$fcsr0" instead of "$r0" in _FPU_{GET,SET}CW

	* sysdeps/loongarch/fpu_control.h: Modified.
	[! __loongarch_soft_float](_FPU_GETCW): Modified.
	[! __loongarch_soft_float](_FPU_SETCW): Modified.

2024-05-27  Xin Wang  <yw987194828@gmail.com>

	COMMIT: e0f7f1808fb024d35c3d9973e68245efc78fff40
	x86_64: Reformat elf_machine_rela

	* sysdeps/x86_64/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2024-05-27  Sunil K Pandey  <skpgkp2@gmail.com>
            Haochen Jiang  <haochen.jiang@intel.com>

	COMMIT: 1b713c9a5349ef3cd1a8ccf9de017c7865713c67
	i386: Disable Intel Xeon Phi tests for GCC 15 and above (BZ 31782)

	* sysdeps/x86/tst-cpu-features-supports.c: Modified.
	(do_test): Modified function.

2024-05-27  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: df63f01a30d98f74bb6e82cbe1e27dbf795e433d
	difftime is pure, not const

	* time/time.h: Modified.
	[! __USE_TIME64_REDIRECTS](difftime): Remove.
	[! __USE_TIME64_REDIRECTS](__attribute_pure__): New.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Remove.
	[__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__attribute_pure__): New.

2024-05-27  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f981bf6b9db87e0732b46bfe92fdad4d363225e8
	parse_fdinfo: Don't advance pointer twice [BZ #31798]

	* sysdeps/unix/sysv/linux/pidfd_getpid.c: Modified.
	(parse_fdinfo): Modified function.

2024-05-25  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: ab46c6ba6cc43b18daea6f197030e19303c9f012
	elf/Makefile: Split and sort PIE tests

	* elf/Makefile: Modified.

2024-05-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: caed1f5c0b2e31b5f4e0f21fea4b2c9ecd3b5b30
	Revert "Test fscanf of long double without <stdio.h>"

	* stdio-common/Makefile: Modified.
	* stdio-common/test-fscanf.c: Delete file.
	* stdio-common/test-fscanf.input: Delete file.

2024-05-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 23c60af6dcf0902c3c314ace34fd67a744cec76e
	sysdeps/ieee754/ldbl-opt/Makefile: Split and sort libnldbl-calls

	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.

2024-05-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 30a745450e01e4c6f484dc691c16a54a6ea72288
	Test fscanf of long double without <stdio.h>

	* stdio-common/Makefile: Modified.
	* stdio-common/test-fscanf.c: New file.
	* stdio-common/test-fscanf.input: New file.

2024-05-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 639c143db3fcf6ec1537b86946233c0bc3b03d6e
	sysdeps/ieee754/ldbl-opt/Makefile: Remove test-nldbl-redirect-static

	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.

2024-05-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: acfb169b3c474930ce5ae278ab512ef7483c368c
	sysdeps/ieee754/ldbl-opt/Makefile: Split and sort tests

	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.

2024-05-24  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 4af49c60a170f223f1c0010945b1340938105b53
	s390x: Regenerate ULPs.

	* sysdeps/s390/fpu/libm-test-ulps: Modified.

2024-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8f58e412b1e26d2c7e65c13a0ce758fbaf18d83f
	powerpc: Remove duplicated versionsort from libm.a (BZ 31789)

	* dirent/versionsort64.c: Modified.
	[!_DIRENT_MATCHES_DIRENT64](weak_alias): Remove.
	[_DIRENT_MATCHES_DIRENT64](weak_alias): New.

2024-05-23  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 84d2762922f74f5059d6179f503972c418153b91
	Update kernel version to 6.9 in header constant tests

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.

2024-05-23  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 28bf4783d9dfe6174de0fc90681da444a028e2a3
	localedata: cv_RU: update translation

	* localedata/cv_RU.UTF-8.in: Modified.
	* localedata/locales/cv_RU: Modified.

2024-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: eaa8113bf0eb599025e3efdbe1bb214ee8dc645a
	math: Provide missing math symbols on libc.a (BZ 31781)

	* sysdeps/ieee754/ldbl-64-128/s_copysignl.c: Modified.
	[IS_IN (libc)](libm_alias_ldouble): Remove.
	[IS_IN (libc)](long_double_symbol): Remove.
	[IS_IN (libc) &&  SHARED](libm_alias_ldouble): New.
	[IS_IN (libc) &&  SHARED](long_double_symbol): New.
	* sysdeps/ieee754/ldbl-64-128/s_frexpl.c: Modified.
	[IS_IN (libc)](libm_alias_ldouble): Remove.
	[IS_IN (libc)](long_double_symbol): Remove.
	[IS_IN (libc) &&  SHARED](libm_alias_ldouble): New.
	[IS_IN (libc) &&  SHARED](long_double_symbol): New.
	* sysdeps/ieee754/ldbl-64-128/s_modfl.c: Modified.
	[IS_IN (libc)](libm_alias_ldouble): Remove.
	[IS_IN (libc)](long_double_symbol): Remove.
	[IS_IN (libc) &&  SHARED](libm_alias_ldouble): New.
	[IS_IN (libc) &&  SHARED](long_double_symbol): New.

2024-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1664bbf2383bb6a7d0ae7ecee6be3f23ab953466
	s390: Make utmp32, utmpx32, and login32 shared only (BZ 31790)

	* sysdeps/unix/sysv/linux/s390/s390-32/Makefile: Modified.

2024-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 18dbe2784768a094895500c6dc24b6d19b224101
	microblaze: Remove cacheflush from libc.a (BZ 31788)

	* sysdeps/unix/sysv/linux/microblaze/syscalls.list: Modified.

2024-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d8ebde14fbf713ef1d91e4250ad8aa97c7df8128
	powerpc: Remove duplicated llrintf and llrintf32 from libm.a (BZ 31787)

	* sysdeps/powerpc/powerpc32/power4/fpu/multiarch/s_llrintf-power6.c: Modified.
	(libm-alias-float.h): Include file.
	(libm_alias_float): New.
	* sysdeps/powerpc/powerpc32/power4/fpu/multiarch/s_llrintf-ppc32.c: Modified.
	(libm-alias-float.h): Include file.
	(libm_alias_float): New.

2024-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5fededd8251b9f5ccd7f893123417205447b95f1
	powerpc: Remove duplicate strchrnul and strncasecmp_l libc.a (BZ 31786)

	* sysdeps/powerpc/powerpc64/multiarch/strchrnul-power7.S: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/strchrnul-ppc64.c: Modified.
	(sysdeps/powerpc/powerpc32/power4/multiarch/strchrnul-ppc32.c): Remove include.
	[IS_IN (libc)][SHARED](__hidden_ver1): New.
	[IS_IN (libc)](STRCHRNUL): New.
	[IS_IN (libc)](__strchrnul_ppc): New.
	[IS_IN (libc)](string/strchrnul.c): New.
	[IS_IN (libc)](__strchrnul): New.
	[IS_IN (libc)](weak_alias): New.
	(string.h): Include file.
	* sysdeps/powerpc/powerpc64/multiarch/strncase_l-power7.c: Modified.
	(weak_alias): New.

2024-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 62eaa4673923bd8b91a5f961828b75bcce10beb7
	loongarch: Remove duplicate strnlen in libc.a (BZ 31785)

	* sysdeps/loongarch/lp64/multiarch/strnlen-aligned.S: Modified.

2024-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ef9596352b9863dd055578b4bfdd3777aca0bcb8
	aarch64: Remove duplicate memchr/strlen in libc.a (BZ 31777)

	* sysdeps/aarch64/multiarch/memchr_generic.S: Modified.
	* sysdeps/aarch64/multiarch/strlen_generic.S: Modified.

2024-05-23  Joseph Myers  <josmyers@redhat.com>

	COMMIT: e9a37242f9cca80496aa934158b7e366b8b419fa
	Update PIDFD_* constants for Linux 6.9

	* sysdeps/unix/sysv/linux/sys/pidfd.h: Modified.
	(PIDFD_THREAD): New.
	(PIDFD_SIGNAL_THREAD): New.
	(PIDFD_SIGNAL_THREAD_GROUP): New.
	(PIDFD_SIGNAL_PROCESS_GROUP): New.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2024-05-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 6d3b523eb54198d15af6e042054912cf9f5210de
	Define write_profiling functions only in profile library [BZ #31756]

	* gmon/gmon.c: Modified.
	[! SHARED](weak_alias): Remove.
	(__write_profiling): Remove function.
	[PROF](__write_profiling): New.
	[PROF](weak_alias): New.

2024-05-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 43d41ae6d74441dd5d21045324ff7391e7b0f545
	Don't provide XXXf128_do_not_use aliases [BZ #31757]

	* sysdeps/ieee754/float128/s_isnanf128.c: Modified.
	[!IS_IN (libm)](_weak_alias): Remove.
	[!IS_IN (libm)][! isnanl](_weak_alias): New.
	* sysdeps/ieee754/ldbl-128/s_finitel.c: Modified.
	* sysdeps/ieee754/ldbl-128/s_isinfl.c: Modified.
	* sysdeps/ieee754/ldbl-128/s_nextafterl.c: Modified.

2024-05-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a34f76edbda8a0b143111e670ca33c97623bfe56
	Don't provide scalb/significand _FloatN aliases [BZ #31760]

	* math/s_significand_template.c: Modified.
	(libm_alias_float_other_r): New.
	(libm_alias_double_other_r): New.
	(libm_alias_ldouble_other_r): New.
	(libm_alias_float128_other_r): New.
	* math/w_scalb_template.c: Modified.
	(libm_alias_float_other_r): New.
	(libm_alias_double_other_r): New.
	(libm_alias_ldouble_other_r): New.
	(libm_alias_float128_other_r): New.

2024-05-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5d4999e519ec77e75bef920e2540e8605015680a
	math: Fix isnanf128 static build (BZ 31774)

	* sysdeps/ieee754/float128/s_isnanf128.c: Modified.
	[!IS_IN (libm)](hidden_ver): Remove.
	[!IS_IN (libm)][! SHARED](strong_alias): New.
	[!IS_IN (libm)][SHARED](hidden_ver): New.

2024-05-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ce6cdb94d0769e99d0779b6283f543d333553461
	math: Add support for auto static math tests

	* Makeconfig: Modified.
	* Makefile.help: Modified.
	* math/Makefile: Modified.
	* math/test-double-static.h: New file.
	* math/test-float-static.h: New file.
	* math/test-float128-static.h: New file.
	* math/test-float32-static.h: New file.
	* math/test-float32x-static.h: New file.
	* math/test-float64-static.h: New file.
	* math/test-float64x-static.h: New file.
	* math/test-ibm128-static.h: New file.
	* math/test-ldouble-static.h: New file.

2024-05-21  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 85472c20a55ea2a49a7fbdf71652b4009118b0ae
	Change _IO_stderr_/_IO_stdin_/_IO_stdout to compat symbols [BZ #31766]

	* libio/oldstdfiles.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)](compat_symbol): New function.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)](compat_symbol): New function.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)](compat_symbol): New function.

2024-05-21  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d97842653fba2fe5c093a101ac923a1b9e5e637c
	Obsolete _dl_mcount_wrapper in glibc 2.40 [BZ #31765]

	* elf/libc-dl-profstub.c: Modified.
	(_dl_mcount_wrapper): Remove function.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_40)](_dl_mcount_wrapper): New.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_40)](compat_symbol): New.
	(shlib-compat.h): Include file.

2024-05-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1f09aae36aa185b8b1100dfa6b776442279bf580
	math: Fix i386 and m68k exp10 on static build (BZ 31775)

	* sysdeps/i386/fpu/w_exp10_compat.c: Modified.
	(NO_COMPAT_NEEDED): Remove.
	(math/w_exp10_compat.c): Remove include.
	[! SHARED](math-type-macros-double.h): New.
	[! SHARED](w_exp10_template.c): New.
	[SHARED](NO_COMPAT_NEEDED): New.
	[SHARED](math/w_exp10_compat.c): New.
	* sysdeps/m68k/m680x0/fpu/w_exp10_compat.c: Modified.
	(NO_COMPAT_NEEDED): Remove.
	(math/w_exp10_compat.c): Remove include.
	[! SHARED](math-type-macros-double.h): New.
	[! SHARED](w_exp10_template.c): New.
	[SHARED](NO_COMPAT_NEEDED): New.
	[SHARED](math/w_exp10_compat.c): New.

2024-05-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0b716305dfb48c2d13ed4f7d06c082b90c1d226f
	math: Fix i386 and m68k fmod/fmodf on static build (BZ 31488)

	* sysdeps/i386/fpu/w_fmod_compat.c: Modified.
	[SHARED](math/w_fmod_compat.c): Include file.
	(math/w_fmod_compat.c): Remove include.
	[! SHARED](math-type-macros-double.h): New.
	[! SHARED](w_fmod_template.c): New.
	* sysdeps/i386/fpu/w_fmodf_compat.c: Modified.
	[SHARED](math/w_fmodf_compat.c): Include file.
	(math/w_fmodf_compat.c): Remove include.
	[! SHARED](math-type-macros-float.h): New.
	[! SHARED](w_fmod_template.c): New.
	* sysdeps/ieee754/ldbl-opt/s_ldexpl.c: Modified.
	[IS_IN (libc)](declare_mgen_alias): Remove.
	[IS_IN (libc)](long_double_symbol): Remove.
	[IS_IN (libc)](long_double_symbol): Remove.
	[IS_IN (libc) &&  SHARED](declare_mgen_alias): New.
	[IS_IN (libc) &&  SHARED](long_double_symbol): New.
	[IS_IN (libc) &&  SHARED](long_double_symbol): New.
	* sysdeps/m68k/m680x0/fpu/w_fmod_compat.c: Modified.
	[SHARED](math/w_fmod_compat.c): Include file.
	(math/w_fmod_compat.c): Remove include.
	[! SHARED](math-type-macros-double.h): New.
	[! SHARED](w_fmod_template.c): New.
	* sysdeps/m68k/m680x0/fpu/w_fmodf_compat.c: Modified.
	[SHARED](math/w_fmodf_compat.c): Include file.
	(math/w_fmodf_compat.c): Remove include.
	[! SHARED](math-type-macros-float.h): New.
	[! SHARED](w_fmod_template.c): New.

2024-05-21  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 437c94e04b82b410d72e173c2bfacd8af27abc53
	Remove the clone3 symbol from libc.a [BZ #31770]

	* sysdeps/unix/sysv/linux/aarch64/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/arc/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/arm/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/i386/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/loongarch/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/mips/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/riscv/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/clone3.S: Modified.
	* sysdeps/unix/sysv/linux/x86_64/clone3.S: Modified.

2024-05-21  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 0fed0b250f728f38bca5f6fba1dcecdccfc6a44e
	aarch64/fpu: Add vector variants of pow

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/atan2_advsimd.c: Modified.
	(math_config.h): Include file.
	* sysdeps/aarch64/fpu/atan2_sve.c: Modified.
	(math_config.h): Include file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4vv_powf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2vv_pow): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxvv_powf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxvv_pow): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_pow): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_powf): New.
	* sysdeps/aarch64/fpu/finite_pow.h: New file.
	* sysdeps/aarch64/fpu/pow_advsimd.c: New file.
	* sysdeps/aarch64/fpu/pow_sve.c: New file.
	* sysdeps/aarch64/fpu/powf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/powf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER_ff): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER_ff): New.
	* sysdeps/aarch64/fpu/v_pow_exp_data.c: New file.
	* sysdeps/aarch64/fpu/v_pow_log_data.c: New file.
	* sysdeps/aarch64/fpu/v_powf_data.c: New file.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(asuint64): Remove function.
	(V_POW_EXP_TABLE_BITS): New.
	(v_pow_exp_data): New.
	(V_POW_LOG_TABLE_BITS): New.
	(v_pow_log_data): New.
	(V_POWF_EXP2_TABLE_BITS): New.
	(V_POWF_EXP2_N): New.
	(V_POWF_LOG2_TABLE_BITS): New.
	(V_POWF_LOG2_N): New.
	(v_powf_data): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-05-21  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: c39cf53702e570b64a70d8f7fdfe277017acfb5f
	Compile libmvec with -fno-math-errno

	* Makeconfig: Modified.

2024-05-21  Andreas Schwab  <schwab@suse.de>

	COMMIT: c35cad016b2a5bc71fa2330f26e35afdef327ccc
	manual: clarify defintions of floating point exponent bounds (bug 31518)

	* manual/lang.texi: Modified.

2024-05-21  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 3c1e22372d898a7e603bf62aee8036d3c82ec7c0
	LoongArch: Update ulps

	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.

2024-05-21  mengqinggang  <mengqinggang@loongson.cn>

	COMMIT: 16d47c1594c5bcd334d0b8dbf147cda917f19bc4
	LoongArch: Fix tst-gnu2-tls2 compiler error

	* sysdeps/loongarch/Makefile: Modified.
	* sysdeps/loongarch/configure: Modified.
	* sysdeps/loongarch/configure.ac: Modified.

2024-05-20  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 4b30c644d24c07c06b587cb46f2e50adc2c3c3f0
	resolv: Make _res_opcodes a compat symbol [BZ #31764]

	* resolv/res_debug.c: Modified.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_26)][SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_26)](compat_symbol): New function.

2024-05-20  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 8428278b5f5cee21811339017ca09cccc8c751f7
	i386: Don't define stpncpy alias when used in IFUNC [BZ #31768]

	* sysdeps/i386/stpncpy.S: Modified.

2024-05-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f83e461f1014598a5cb4c89407ce303b9f0bd8ac
	powerpc: Update ulps

	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.

2024-05-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 32b2aa59da13e7b5e7936071652aeb6b0a39dde4
	arm: Update ulps

	* sysdeps/arm/libm-test-ulps: Modified.

2024-05-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 241338bd6f039aec07cba9ed161d9ef2ca9ed16d
	aarch64: Update ulps

	* sysdeps/aarch64/libm-test-ulps: Modified.

2024-05-20  Joe Simmons-Talbott  <josimmon@redhat.com>
            Carlos O'Donell  <carlos@redhat.com>

	COMMIT: ae18044f95271ed422ed847bd8d8c6d8e84674ce
	math: Add more details to the test driver output.

	* math/libm-test-driver.c: Modified.
	(END): Modified.
	(END_COMPLEX): Modified.
	* math/libm-test-support.c: Modified.
	[FE_ALL_EXCEPT](test_single_exception): Modified function.
	(update_stats): Modified function.
	(print_max_error): Remove function.
	(print_complex_max_error): Remove function.
	(test_exceptions): Modified function.
	(test_single_errno): Modified function.
	(test_errno): Modified function.
	(check_float_internal): Modified function.
	(check_int): Modified function.
	(check_long): Modified function.
	(check_bool): Modified function.
	(check_longlong): Modified function.
	(check_intmax_t): Modified function.
	(check_uintmax_t): Modified function.
	(libm_test_finish): Modified function.
	(assert.h): Include file.
	(TEST_INPUT): New.
	(TEST_MAXERROR): New.
	(noMaxErrorTests): New.
	(print_test_start): New function.
	(print_test_end): New function.
	(check_max_error): New function.
	(check_complex_max_error): New function.
	* math/libm-test-support.h: Modified.
	(print_max_error): Remove.
	(print_complex_max_error): Remove.
	(check_max_error): New function.
	(check_complex_max_error): New function.

2024-05-20  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 79c52daf4740b00bef43e4f5a4281b3480459b38
	Implement C23 log2p1

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-log2p1: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-log2p1.inc: New file.
	* math/s_log2p1_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](log2p1): New.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-log2p1.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/powerpc/nofpu/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-05-20  Joseph Myers  <josmyers@redhat.com>

	COMMIT: cf0ca8d52e1653d4aa4311a4649af8dc541ce6b4
	Update syscall lists for Linux 6.9

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2024-05-20  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7935e7a537cd3347b922dc9f24a2b722dd80156c
	Rename procutils_read_file to __libc_procutils_read_file [BZ #31755]

	* sysdeps/unix/sysv/linux/pidfd_getpid.c: Modified.
	(pidfd_getpid): Modified function.
	* sysdeps/unix/sysv/linux/procutils.c: Modified.
	(procutils_read_file): Remove function.
	(__libc_procutils_read_file): New function.
	* sysdeps/unix/sysv/linux/procutils.h: Modified.
	(procutils_read_file): Remove.
	(__libc_procutils_read_file): New function.

2024-05-20  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 4e21cb95e206dddf049dec12f7d4e25a79d60e05
	nearbyint: Don't define alias when used in IFUNC [BZ #31759]

	* sysdeps/ieee754/dbl-64/s_nearbyint.c: Modified.
	* sysdeps/ieee754/flt-32/s_nearbyintf.c: Modified.

2024-05-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2be3352f0b1ebaa39596393fffe1062275186669
	Pass -nostdlib -nostartfiles together with -r [BZ #31753]

	* Makefile: Modified.

2024-05-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8d7b6b4cb27d4dec1dd5f7960298c1699275f962
	socket: Use may_alias on sockaddr structs (bug 19622)

	* bits/socket.h: Modified.
	[! __glibc_c99_flexarr_available](CMSG_DATA): Remove.
	[__USE_EXTERN_INLINES][! _EXTERN_INLINE](_EXTERN_INLINE): Remove.
	[__USE_EXTERN_INLINES](__NTH): Remove.
	[__USE_MISC](CMGROUP_MAX): Remove.
	[__USE_MISC](cmsgcred): Remove.
	[__WORDSIZE != 64][! __glibc_c99_flexarr_available](CMSG_DATA): New.
	[__WORDSIZE != 64][__USE_EXTERN_INLINES][! _EXTERN_INLINE](_EXTERN_INLINE): New.
	[__WORDSIZE != 64][__USE_EXTERN_INLINES](__NTH): New.
	[__WORDSIZE != 64][__USE_MISC](CMGROUP_MAX): New.
	[__WORDSIZE != 64][__USE_MISC](cmsgcred): New.
	[__WORDSIZE != 64][__glibc_c99_flexarr_available](CMSG_DATA): New.
	[__WORDSIZE != 64](_SS_PADSIZE): New.
	[__WORDSIZE != 64](__SOCKADDR_COMMON): New function.
	[__WORDSIZE != 64](__ss_padding): New.
	[__WORDSIZE != 64](__ss_align): New.
	[__WORDSIZE != 64](<anonymous>): New.
	[__WORDSIZE != 64](MSG_OOB): New.
	[__WORDSIZE != 64](msghdr): New.
	[__WORDSIZE != 64](cmsghdr): New.
	[__WORDSIZE != 64](CMSG_NXTHDR): New.
	[__WORDSIZE != 64](CMSG_FIRSTHDR): New.
	[__WORDSIZE != 64](CMSG_ALIGN): New.
	[__WORDSIZE != 64](CMSG_SPACE): New.
	[__WORDSIZE != 64](CMSG_LEN): New.
	[__WORDSIZE != 64](__CMSG_PADDING): New.
	[__WORDSIZE != 64](__cmsg_nxthdr): New function.
	[__WORDSIZE != 64](<anonymous>): New.
	[__WORDSIZE != 64](SOL_SOCKET): New.
	[__WORDSIZE != 64](<anonymous>): New.
	[__WORDSIZE != 64](linger): New.
	[__glibc_c99_flexarr_available](CMSG_DATA): Remove.
	(sockaddr): Remove.
	(_SS_PADSIZE): Remove.
	(sockaddr_storage): Remove.
	(<anonymous>): Remove.
	(msghdr): Remove.
	(cmsghdr): Remove.
	(CMSG_NXTHDR): Remove.
	(CMSG_FIRSTHDR): Remove.
	(CMSG_ALIGN): Remove.
	(CMSG_SPACE): Remove.
	(CMSG_LEN): Remove.
	(__CMSG_PADDING): Remove.
	(__cmsg_nxthdr): Remove.
	(<anonymous>): Remove.
	(SOL_SOCKET): Remove.
	(<anonymous>): Remove.
	(linger): Remove.
	(__SOCKADDR_COMMON): New function.
	(sa_data): New.
	* inet/netinet/in.h: Modified.
	[! __GNUC__](IN6_IS_ADDR_UNSPECIFIED): Remove.
	[! __GNUC__](IN6_IS_ADDR_LOOPBACK): Remove.
	[! __GNUC__](IN6_IS_ADDR_LINKLOCAL): Remove.
	[! __GNUC__](IN6_IS_ADDR_SITELOCAL): Remove.
	[! __GNUC__](IN6_IS_ADDR_V4MAPPED): Remove.
	[! __GNUC__](IN6_IS_ADDR_V4COMPAT): Remove.
	[! __GNUC__](IN6_ARE_ADDR_EQUAL): Remove.
	[!__USE_KERNEL_IPV6_DEFS](sockaddr_in6): Remove.
	[!__USE_KERNEL_IPV6_DEFS](ipv6_mreq): Remove.
	[__GNUC__](IN6_IS_ADDR_UNSPECIFIED): Remove.
	[__GNUC__](IN6_IS_ADDR_LOOPBACK): Remove.
	[__GNUC__](IN6_IS_ADDR_LINKLOCAL): Remove.
	[__GNUC__](IN6_IS_ADDR_SITELOCAL): Remove.
	[__GNUC__](IN6_IS_ADDR_V4MAPPED): Remove.
	[__GNUC__](IN6_IS_ADDR_V4COMPAT): Remove.
	[__GNUC__](IN6_ARE_ADDR_EQUAL): Remove.
	[__OPTIMIZE__][__BYTE_ORDER != __BIG_ENDIAN][__BYTE_ORDER == __LITTLE_ENDIAN](ntohl): Remove.
	[__OPTIMIZE__][__BYTE_ORDER != __BIG_ENDIAN][__BYTE_ORDER == __LITTLE_ENDIAN](ntohs): Remove.
	[__OPTIMIZE__][__BYTE_ORDER != __BIG_ENDIAN][__BYTE_ORDER == __LITTLE_ENDIAN](htonl): Remove.
	[__OPTIMIZE__][__BYTE_ORDER != __BIG_ENDIAN][__BYTE_ORDER == __LITTLE_ENDIAN](htons): Remove.
	[__OPTIMIZE__][__BYTE_ORDER == __BIG_ENDIAN](ntohl): Remove.
	[__OPTIMIZE__][__BYTE_ORDER == __BIG_ENDIAN](ntohs): Remove.
	[__OPTIMIZE__][__BYTE_ORDER == __BIG_ENDIAN](htonl): Remove.
	[__OPTIMIZE__][__BYTE_ORDER == __BIG_ENDIAN](htons): Remove.
	[__USE_GNU][!__USE_KERNEL_IPV6_DEFS](in6_pktinfo): Remove.
	[__USE_GNU][!__USE_KERNEL_IPV6_DEFS](ip6_mtuinfo): Remove.
	[__USE_GNU](cmsghdr): Remove.
	[__USE_GNU](__attribute_deprecated__): Remove.
	[__USE_GNU](__attribute_deprecated__): Remove.
	[__USE_GNU](__attribute_deprecated__): Remove.
	[__USE_GNU](__attribute_deprecated__): Remove.
	[__USE_GNU](__attribute_deprecated__): Remove.
	[__USE_GNU](__attribute_deprecated__): Remove.
	[__USE_GNU](inet6_opt_init): Remove.
	[__USE_GNU](inet6_opt_append): Remove.
	[__USE_GNU](inet6_opt_finish): Remove.
	[__USE_GNU](inet6_opt_set_val): Remove.
	[__USE_GNU](inet6_opt_next): Remove.
	[__USE_GNU](inet6_opt_find): Remove.
	[__USE_GNU](inet6_opt_get_val): Remove.
	[__USE_GNU](inet6_rth_space): Remove.
	[__USE_GNU](inet6_rth_init): Remove.
	[__USE_GNU](inet6_rth_add): Remove.
	[__USE_GNU](inet6_rth_reverse): Remove.
	[__USE_GNU](inet6_rth_segments): Remove.
	[__USE_GNU](inet6_rth_getaddr): Remove.
	[__USE_GNU](getipv4sourcefilter): Remove.
	[__USE_GNU](setipv4sourcefilter): Remove.
	[__USE_GNU](getsourcefilter): Remove.
	[__USE_GNU](setsourcefilter): Remove.
	[__USE_MISC](ip_mreq): Remove.
	[__USE_MISC](ip_mreqn): Remove.
	[__USE_MISC](ip_mreq_source): Remove.
	[__USE_MISC](group_req): Remove.
	[__USE_MISC](group_source_req): Remove.
	[__USE_MISC](ip_msfilter): Remove.
	[__USE_MISC](IP_MSFILTER_SIZE): Remove.
	[__USE_MISC](group_filter): Remove.
	[__USE_MISC](GROUP_FILTER_SIZE): Remove.
	[__USE_MISC](bindresvport): Remove.
	[__USE_MISC](bindresvport6): Remove.
	(sockaddr_in): Remove.
	(ntohl): Remove.
	(ntohs): Remove.
	(htonl): Remove.
	(htons): Remove.
	(endian.h): Remove include.
	(bits/byteswap.h): Remove include.
	(bits/uintn-identity.h): Remove include.
	(IN6_IS_ADDR_MULTICAST): Remove.
	(IN6_IS_ADDR_MC_NODELOCAL): Remove.
	(IN6_IS_ADDR_MC_LINKLOCAL): Remove.
	(IN6_IS_ADDR_MC_SITELOCAL): Remove.
	(IN6_IS_ADDR_MC_ORGLOCAL): Remove.
	(IN6_IS_ADDR_MC_GLOBAL): Remove.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][!__USE_KERNEL_IPV6_DEFS](ipv6_mreq): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][!__USE_KERNEL_IPV6_DEFS](ipv6mr_multiaddr): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][!__USE_KERNEL_IPV6_DEFS](ipv6mr_interface): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][! __GNUC__](IN6_IS_ADDR_UNSPECIFIED): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][! __GNUC__](IN6_IS_ADDR_LOOPBACK): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][! __GNUC__](IN6_IS_ADDR_LINKLOCAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][! __GNUC__](IN6_IS_ADDR_SITELOCAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][! __GNUC__](IN6_IS_ADDR_V4MAPPED): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][! __GNUC__](IN6_IS_ADDR_V4COMPAT): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][! __GNUC__](IN6_ARE_ADDR_EQUAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][! __USE_MISC](ntohl): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__GNUC__](IN6_IS_ADDR_UNSPECIFIED): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__GNUC__](IN6_IS_ADDR_LOOPBACK): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__GNUC__](IN6_IS_ADDR_LINKLOCAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__GNUC__](IN6_IS_ADDR_SITELOCAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__GNUC__](IN6_IS_ADDR_V4MAPPED): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__GNUC__](IN6_IS_ADDR_V4COMPAT): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__GNUC__](IN6_ARE_ADDR_EQUAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__OPTIMIZE__][__BYTE_ORDER != __BIG_ENDIAN][__BYTE_ORDER == __LITTLE_ENDIAN](ntohl): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__OPTIMIZE__][__BYTE_ORDER != __BIG_ENDIAN][__BYTE_ORDER == __LITTLE_ENDIAN](ntohs): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__OPTIMIZE__][__BYTE_ORDER != __BIG_ENDIAN][__BYTE_ORDER == __LITTLE_ENDIAN](htonl): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__OPTIMIZE__][__BYTE_ORDER != __BIG_ENDIAN][__BYTE_ORDER == __LITTLE_ENDIAN](htons): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__OPTIMIZE__][__BYTE_ORDER == __BIG_ENDIAN](ntohl): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__OPTIMIZE__][__BYTE_ORDER == __BIG_ENDIAN](ntohs): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__OPTIMIZE__][__BYTE_ORDER == __BIG_ENDIAN](htonl): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__OPTIMIZE__][__BYTE_ORDER == __BIG_ENDIAN](htons): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU][!__USE_KERNEL_IPV6_DEFS](in6_pktinfo): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU][!__USE_KERNEL_IPV6_DEFS](ip6_mtuinfo): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](cmsghdr): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](__attribute_deprecated__): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](__attribute_deprecated__): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](__attribute_deprecated__): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](__attribute_deprecated__): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](__attribute_deprecated__): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](__attribute_deprecated__): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_opt_init): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_opt_append): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_opt_finish): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_opt_set_val): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_opt_next): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_opt_find): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_opt_get_val): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_rth_space): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_rth_init): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_rth_add): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_rth_reverse): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_rth_segments): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](inet6_rth_getaddr): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](getipv4sourcefilter): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](setipv4sourcefilter): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](getsourcefilter): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_GNU](setsourcefilter): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](group_req): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gr_interface): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gr_group): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](group_source_req): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gsr_interface): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gsr_group): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gsr_source): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](ip_msfilter): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](imsf_multiaddr): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](imsf_interface): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](imsf_fmode): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](imsf_numsrc): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](imsf_slist): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](IP_MSFILTER_SIZE): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](group_filter): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gf_interface): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gf_group): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gf_fmode): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gf_numsrc): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](gf_slist): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](GROUP_FILTER_SIZE): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](ntohl): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](bindresvport): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS][__USE_MISC](bindresvport6): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](ntohs): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](htonl): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](htons): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](endian.h): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](bits/byteswap.h): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](bits/uintn-identity.h): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](IN6_IS_ADDR_MULTICAST): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](IN6_IS_ADDR_MC_NODELOCAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](IN6_IS_ADDR_MC_LINKLOCAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](IN6_IS_ADDR_MC_SITELOCAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](IN6_IS_ADDR_MC_ORGLOCAL): New.
	[! __USE_KERNEL_IPV6_DEFS][! __USE_MISC][__USE_KERNEL_IPV6_DEFS](IN6_IS_ADDR_MC_GLOBAL): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](ip_mreq): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](imr_multiaddr): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](imr_interface): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](ip_mreqn): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](imr_multiaddr): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](imr_address): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](imr_ifindex): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](ip_mreq_source): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](imr_multiaddr): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](imr_interface): New.
	[! __USE_KERNEL_IPV6_DEFS][__USE_MISC](imr_sourceaddr): New.
	[! __USE_KERNEL_IPV6_DEFS](__SOCKADDR_COMMON): New.
	[! __USE_KERNEL_IPV6_DEFS](sin6_port): New.
	[! __USE_KERNEL_IPV6_DEFS](sin6_flowinfo): New.
	[! __USE_KERNEL_IPV6_DEFS](sin6_addr): New.
	[! __USE_KERNEL_IPV6_DEFS](sin6_scope_id): New.
	[__USE_KERNEL_IPV6_DEFS](sockaddr_in6): New.
	(__SOCKADDR_COMMON): New function.
	(sin_port): New.
	(sin_addr): New.
	* misc/sys/cdefs.h: Modified.
	[!(__GNUC_PREREQ (7, 1) ||  __clang__)](__attribute_struct_may_alias__): New.
	[__GNUC_PREREQ (7, 1) ||  __clang__](__attribute_struct_may_alias__): New.
	* socket/sys/un.h: Modified.
	(sockaddr_un): Remove.
	(__SOCKADDR_COMMON): New function.
	(sun_path): New.
	* sysdeps/mach/hurd/bits/socket.h: Modified.
	[! __glibc_c99_flexarr_available](CMSG_DATA): Remove.
	[__USE_EXTERN_INLINES][! _EXTERN_INLINE](_EXTERN_INLINE): Remove.
	[__USE_EXTERN_INLINES](__NTH): Remove.
	[__USE_MISC](CMGROUP_MAX): Remove.
	[__USE_MISC](cmsgcred): Remove.
	[__WORDSIZE != 64][! __glibc_c99_flexarr_available](CMSG_DATA): New.
	[__WORDSIZE != 64][__USE_EXTERN_INLINES][! _EXTERN_INLINE](_EXTERN_INLINE): New.
	[__WORDSIZE != 64][__USE_EXTERN_INLINES](__NTH): New.
	[__WORDSIZE != 64][__USE_MISC](CMGROUP_MAX): New.
	[__WORDSIZE != 64][__USE_MISC](cmsgcred): New.
	[__WORDSIZE != 64][__glibc_c99_flexarr_available](CMSG_DATA): New.
	[__WORDSIZE != 64](_SS_PADSIZE): New.
	[__WORDSIZE != 64](__SOCKADDR_COMMON): New function.
	[__WORDSIZE != 64](__ss_padding): New.
	[__WORDSIZE != 64](__ss_align): New.
	[__WORDSIZE != 64](<anonymous>): New.
	[__WORDSIZE != 64](MSG_OOB): New.
	[__WORDSIZE != 64](msghdr): New.
	[__WORDSIZE != 64](cmsghdr): New.
	[__WORDSIZE != 64](CMSG_NXTHDR): New.
	[__WORDSIZE != 64](CMSG_FIRSTHDR): New.
	[__WORDSIZE != 64](CMSG_ALIGN): New.
	[__WORDSIZE != 64](CMSG_SPACE): New.
	[__WORDSIZE != 64](CMSG_LEN): New.
	[__WORDSIZE != 64](__CMSG_PADDING): New.
	[__WORDSIZE != 64](__cmsg_nxthdr): New function.
	[__WORDSIZE != 64](<anonymous>): New.
	[__WORDSIZE != 64](SOL_SOCKET): New.
	[__WORDSIZE != 64](<anonymous>): New.
	[__WORDSIZE != 64](linger): New.
	[__glibc_c99_flexarr_available](CMSG_DATA): Remove.
	(sockaddr): Remove.
	(_SS_PADSIZE): Remove.
	(sockaddr_storage): Remove.
	(<anonymous>): Remove.
	(msghdr): Remove.
	(cmsghdr): Remove.
	(CMSG_NXTHDR): Remove.
	(CMSG_FIRSTHDR): Remove.
	(CMSG_ALIGN): Remove.
	(CMSG_SPACE): Remove.
	(CMSG_LEN): Remove.
	(__CMSG_PADDING): Remove.
	(__cmsg_nxthdr): Remove.
	(<anonymous>): Remove.
	(SOL_SOCKET): Remove.
	(<anonymous>): Remove.
	(linger): Remove.
	(__SOCKADDR_COMMON): New function.
	(sa_data): New.
	* sysdeps/unix/sysv/linux/bits/socket.h: Modified.
	(sockaddr): Remove.
	(sockaddr_storage): Remove.
	(<anonymous>): Modified.
	(__SOCKADDR_COMMON): New function.
	(sa_data): New.
	(__SOCKADDR_COMMON): New function.
	(__ss_padding): New.
	(__ss_align): New.
	(MSG_OOB): New.
	* sysdeps/unix/sysv/linux/net/if_packet.h: Modified.
	(sockaddr_pkt): Remove.
	(__SOCKADDR_COMMON): New function.
	(spkt_device): New.
	(spkt_protocol): New.
	* sysdeps/unix/sysv/linux/netash/ash.h: Modified.
	(sockaddr_ash): Remove.
	(__SOCKADDR_COMMON): New function.
	(sash_ifindex): New.
	(sash_channel): New.
	(sash_plen): New.
	(sash_prefix): New.
	* sysdeps/unix/sysv/linux/neteconet/ec.h: Modified.
	(sockaddr_ec): Remove.
	(__SOCKADDR_COMMON): New function.
	(port): New.
	(cb): New.
	(type): New.
	(addr): New.
	(cookie): New.
	* sysdeps/unix/sysv/linux/netiucv/iucv.h: Modified.
	(sockaddr_iucv): Remove.
	(__SOCKADDR_COMMON): New function.
	(siucv_port): New.
	(siucv_addr): New.
	(siucv_nodeid): New.
	(siucv_user_id): New.
	(siucv_name): New.

2024-05-17  Alexandre Ferrieux  <alexandre.ferrieux@orange.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2a99e2398d9d717c034e915f7846a49e623f5450
	Use a doubly-linked list for _IO_list_all (bug 27777)

	* libio/bits/types/struct_FILE.h: Modified.
	(_IO_FILE_complete): Modified.
	* libio/genops.c: Modified.
	(_IO_un_link): Modified function.
	(_IO_link_in): Modified function.
	(_Static_assert): New function.
	* libio/stdfiles.c: Modified.
	(_IO_stdfiles_init): New function.

2024-05-16  Manjunath Matti  <mmatti@linux.ibm.com>

	COMMIT: a81cdde1cb9d514fc8f014ddf21771c96ff2c182
	﻿powerpc64: Fix by using the configure value $libc_cv_cc_submachine [BZ #31629]

	* sysdeps/powerpc/powerpc64/configure: Modified.
	* sysdeps/powerpc/powerpc64/configure.ac: Modified.

2024-05-16  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: fa9aecc045e9e7d0c2f4e182748491f732e63dd2
	benchtests: Add fclose benchmark

	* benchtests/Makefile: Modified.
	* benchtests/README: Modified.
	* benchtests/bench-fclose.c: New file.

2024-05-16  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 75207bde6870eb4b258e16fbb41252b2e6377675
	aarch64/fpu: Add vector variants of cbrt

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_cbrtf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_cbrt): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_cbrtf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_cbrt): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_cbrt): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_cbrtf): New.
	* sysdeps/aarch64/fpu/cbrt_advsimd.c: New file.
	* sysdeps/aarch64/fpu/cbrt_sve.c: New file.
	* sysdeps/aarch64/fpu/cbrtf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/cbrtf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-05-16  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 157f89fa3d616729c8d7797168a9b3eaaa6ebf6e
	aarch64/fpu: Add vector variants of hypot

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4vv_hypotf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2vv_hypot): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxvv_hypotf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxvv_hypot): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_hypot): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_hypotf): New.
	* sysdeps/aarch64/fpu/hypot_advsimd.c: New file.
	* sysdeps/aarch64/fpu/hypot_sve.c: New file.
	* sysdeps/aarch64/fpu/hypotf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/hypotf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER_ff): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER_ff): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-05-16  Joseph Myers  <josmyers@redhat.com>

	COMMIT: a743fd95bb895001584b018033418b84b451e67e
	Use Linux 6.9 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2024-05-15  Jules Bertholet  <julesbertholet@quoi.xyz>

	COMMIT: 25c9c3789ecf35a5dc303261abcef7993112017d
	localedata: Fix several issues with the set of characters considered 0-width [BZ #31370]

	* SHARED-FILES: Modified.
	* localedata/charmaps/UTF-8: Modified.
	* localedata/unicode-gen/HangulSyllableType.txt: New file.
	* localedata/unicode-gen/Makefile: Modified.
	* localedata/unicode-gen/PropList.txt: Delete file.
	* localedata/unicode-gen/utf8_gen.py: Modified.

2024-05-15  mengqinggang  <mengqinggang@loongson.cn>

	COMMIT: 1dbf2bef7934cee9829d875f11968d6ff1fee77f
	LoongArch: Add support for TLS Descriptors

	* config.h.in: Modified.
	* elf/elf.h: Modified.
	(R_LARCH_TLS_DESC32): New.
	(R_LARCH_TLS_DESC64): New.
	* sysdeps/loongarch/Makefile: Modified.
	* sysdeps/loongarch/configure: Modified.
	* sysdeps/loongarch/configure.ac: Modified.
	* sysdeps/loongarch/dl-machine.h: Modified.
	[! dl_machine_h](dl-tls.h): Remove include.
	[! dl_machine_h](dl-tlsdesc.h): Include file.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	[RESOLVE_MAP](elf_machine_lazy_rel): Modified function.
	* sysdeps/loongarch/dl-tls.h: Modified.
	(_DL_TLS_H): New.
	* sysdeps/loongarch/dl-tlsdesc.S: New file.
	* sysdeps/loongarch/dl-tlsdesc.h: New file.
	* sysdeps/loongarch/linkmap.h: Modified.
	(link_map_machine): Modified.
	* sysdeps/loongarch/preconfigure: Modified.
	* sysdeps/loongarch/sys/asm.h: Modified.
	(SZFCSREG): New.
	* sysdeps/loongarch/sys/regdef.h: Modified.
	(fcsr0): New.
	* sysdeps/loongarch/tlsdesc.c: New file.
	* sysdeps/loongarch/tlsdesc.sym: New file.
	* sysdeps/loongarch/tst-gnu2-tls2.h: New file.

2024-05-14  Joe Talbott  <joetalbott@gmail.com>

	COMMIT: f942a732d37a96217ef828116ebe64a644db18d7
	math: Add GLIBC_TEST_LIBM_VERBOSE environment variable support.

	* math/libm-test-support.c: Modified.
	(verbose): Modified.
	(parse_opt): Modified function.
	(libm_test_init): Modified function.

2024-05-14  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 3395157ff2b0657d70c36169156f67440205c8bf
	malloc: Improve aligned_alloc and calloc test coverage.

	* malloc/Makefile: Modified.
	* malloc/tst-aligned-alloc-random.c: New file.
	* malloc/tst-aligned_alloc-lib.c: New file.
	* malloc/tst-malloc-random.c: New file.
	* malloc/tst-malloc.c: Modified.
	(do_test): Modified function.
	(stdlib.h): Include file.
	(time.h): Include file.

2024-05-14  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 90a6ca8b28bf34e361e577e526e1b0f4c39a32a5
	aarch64: Fix AdvSIMD libmvec routines for big-endian

	* sysdeps/aarch64/fpu/asinh_advsimd.c: Modified.
	(lookup): Modified function.
	(IndexMask): New.
	* sysdeps/aarch64/fpu/cosh_advsimd.c: Modified.
	(data): Modified.
	(exp_inline): Modified function.
	* sysdeps/aarch64/fpu/erf_advsimd.c: Modified.
	(lookup): Modified function.
	* sysdeps/aarch64/fpu/erfc_advsimd.c: Modified.
	(data): Modified.
	(lookup): Modified function.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/erfcf_advsimd.c: Modified.
	(data): Modified.
	(lookup): Modified function.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/erff_advsimd.c: Modified.
	(lookup): Modified function.
	* sysdeps/aarch64/fpu/exp10f_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/expm1_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/expm1f_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/log10_advsimd.c: Modified.
	(lookup): Modified function.
	* sysdeps/aarch64/fpu/log2_advsimd.c: Modified.
	(lookup): Modified function.
	* sysdeps/aarch64/fpu/log_advsimd.c: Modified.
	(lookup): Modified function.
	* sysdeps/aarch64/fpu/sinh_advsimd.c: Modified.
	(data): Modified.
	(expm1_inline): Modified function.
	* sysdeps/aarch64/fpu/tan_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/tanf_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/v_expf_inline.h: Modified.
	(v_expf_data): Modified.
	(v_expf_inline): Modified function.
	* sysdeps/aarch64/fpu/v_expm1f_inline.h: Modified.
	(v_expm1f_data): Modified.
	(expm1f_inline): Modified function.

2024-05-14  Andreas Schwab  <schwab@suse.de>

	COMMIT: ec6ed525f1aa24fd38ea5153e88d14d92d0d2f82
	Unify output from backtrace_symbols_fd with backtrace_symbols (bug 31730)

	* debug/backtracesymsfd.c: Modified.
	(__backtrace_symbols_fd): Modified function.

2024-05-13  DJ Delorie  <dj@redhat.com>

	COMMIT: a07e000e82cb71238259e674529c37c12dc7d423
	manual: add dup3

	* manual/llio.texi: Modified.

2024-05-13  Maciej W. Rozycki  <macro@redhat.com>

	COMMIT: e3c375eb4f33e265b0cb186435c0b540ed27d2da
	libio/bug-wsetpos: Make the error message match the causing function

	* libio/bug-wsetpos.c: Modified.
	(do_test): Modified function.

2024-05-10  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d49cd6a1913da9744b9a0ffbefb3f7958322382e
	malloc/Makefile: Split and sort tests

	* malloc/Makefile: Modified.

2024-05-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2dcaf70643710e22f92a351e36e3cff8b48c60dc
	Force DT_RPATH for --enable-hardcoded-path-in-tests

	* Makeconfig: Modified.

2024-05-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ae515ba530be76d6627740ddc33a3a63f8c7e4f9
	powerpc: Fix __fesetround_inline_nocheck on POWER9+ (BZ 31682)

	* sysdeps/powerpc/fpu/fenv_libc.h: Modified.
	(__fesetround_inline_nocheck): Remove function.
	(__fesetround_inline_disable_inexact): New function.
	* sysdeps/powerpc/fpu/round_to_integer.h: Modified.
	(set_fenv_mode): Modified function.

2024-05-08  Gabi Falk  <gabifalk@gmx.com>

	COMMIT: dd5f891c1ad9f1b43b9db93afe2a55cbb7a6194e
	x86_64: Fix missing wcsncat function definition without multiarch (x86-64-v4)

	* sysdeps/x86_64/multiarch/wcsncat-evex.S: Modified.

2024-05-08  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 88dca8d5f85c6ad77f6d754f95cc54e9b905747f
	localedata: fix weekdays in mdf_RU locale

	* localedata/locales/mdf_RU: Modified.

2024-05-08  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 79fe4a0fa07d0fff98888965f47842251f554dd4
	localedata: add mdf_RU locale

	* localedata/Makefile: Modified.
	* localedata/SUPPORTED: Modified.
	* localedata/locales/mdf_RU: New file.
	* localedata/mdf_RU.UTF-8.in: New file.

2024-05-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: eb59c7b43dd5c64c38e4c3cd21e7ad75d8d29cb0
	elf: Make glibc.rtld.enable_secure ignore alias environment variables

	* elf/dl-tunables.c: Modified.
	(__tunables_init): Modified function.
	* elf/tst-tunables-enable_secure.c: Modified.
	(test_t): Modified.
	(check): Remove.
	(handle_restart): Modified function.
	(do_test): Modified function.
	(TUNABLES_INTERNAL): New.
	(GLIBC_TUNABLES): New.
	* scripts/gen-tunables.awk: Modified.

2024-05-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1e1ad714ee9a663eda0e2bffad1d9f258b00a4e9
	support: Add envp argument to support_capture_subprogram

	* elf/tst-audit18.c: Modified.
	(do_test): Modified function.
	* elf/tst-audit19b.c: Modified.
	(do_test): Modified function.
	* elf/tst-audit22.c: Modified.
	(do_test): Modified function.
	* elf/tst-audit23.c: Modified.
	(do_test): Modified function.
	* elf/tst-audit25a.c: Modified.
	(do_test): Modified function.
	* elf/tst-audit25b.c: Modified.
	(do_test): Modified function.
	* elf/tst-glibc-hwcaps-2-cache.c: Modified.
	(main): Modified function.
	* elf/tst-rtld-run-static.c: Modified.
	(do_test): Modified function.
	* elf/tst-tunables-enable_secure.c: Modified.
	(do_test): Modified function.
	* elf/tst-tunables.c: Modified.
	(do_test): Modified function.
	* support/capture_subprocess.h: Modified.
	(support_capture_subprogram): Modified.
	* support/subprocess.h: Modified.
	(support_subprogram): Modified.
	* support/support_capture_subprocess.c: Modified.
	(support_capture_subprogram): Modified function.
	* support/support_subprocess.c: Modified.
	(support_subprogram): Modified function.
	* support/tst-support_capture_subprocess.c: Modified.
	(do_subprogram): Modified function.
	* sysdeps/x86/tst-hwcap-tunables.c: Modified.
	(do_test): Modified function.

2024-05-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c8a0e21da63b6e5c7f558cdd31a5d208c1677df3
	elf: Remove glibc.rtld.enable_secure check from parse_tunables_string

	* elf/dl-tunables.c: Modified.
	(tunable_initialize): Modified function.
	(parse_tunables_string): Modified function.
	(parse_tunables): Modified function.
	(tunable_parse_num): New function.
	(parse_tunable_print_error): New function.

2024-05-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bcae44ea8536b30a7119c0986ff5692bddacb672
	elf: Only process multiple tunable once (BZ 31686)

	* elf/dl-tunables.c: Modified.
	(parse_tunables_string): Modified function.
	(parse_tunables): Modified function.
	(dl-symbol-redir-ifunc.h): Include file.
	* elf/tst-tunables.c: Modified.
	(test_t): Modified.
	(do_test): Modified function.
	(TUNABLES_INTERNAL): New.
	(support/support.h): Include file.
	* sysdeps/aarch64/multiarch/memset_generic.S: Modified.
	* sysdeps/sparc/sparc64/rtld-memset.c: Modified.
	[IS_IN(rtld)](strong_alias): New.

2024-05-06  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 143ef68b2aded7c794956beddad495af8c7d3251
	NEWS: Add advisories.

	* NEWS: Modified.

2024-05-06  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: d4d9a805a58c2593f7610198a198d24a41eef561
	Document CVE-2024-33599, CVE-2024-33600, CVE-2024-33601, CVE-2024-33602

	* advisories/GLIBC-SA-2024-0005: New file.
	* advisories/GLIBC-SA-2024-0006: New file.
	* advisories/GLIBC-SA-2024-0007: New file.
	* advisories/GLIBC-SA-2024-0008: New file.

2024-05-06  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 5f245f3bfbe61b2182964dafb94907e38284b806
	Add crt1-2.0.o for glibc 2.0 compatibility tests

	* Makeconfig: Modified.
	* Rules: Modified.
	* csu/Makefile: Modified.
	* libio/Makefile: Modified.
	* libio/tst-stderr-compat.c: New file.
	* math/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.

2024-05-06  Amrita H S  <amritahs@linux.ibm.com>

	COMMIT: 23f0d81608d0ca6379894ef81670cf30af7fd081
	﻿powerpc: Optimized strncmp for power10

	* sysdeps/powerpc/powerpc64/le/power10/strncmp.S: New file.
	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/strncmp-power10.S: New file.
	* sysdeps/powerpc/powerpc64/multiarch/strncmp.c: Modified.
	[__LITTLE_ENDIAN__](libc_ifunc_redirected): Modified.
	[__LITTLE_ENDIAN__](__strncmp_power10): New.

2024-05-03  Stafford Horne  <shorne@gmail.com>

	COMMIT: ea73eb5f581ef5931fd67005aa0c526ba43366c9
	build-many-glibcs.py: Add openrisc hard float glibc variant

	* scripts/build-many-glibcs.py: Modified.

2024-05-03  Stafford Horne  <shorne@gmail.com>

	COMMIT: 643d9d38d50b32b5f20fb8ff5da17bff412821b6
	or1k: Add hard float support

	* sysdeps/or1k/fpu/fclrexcpt.c: New file.
	* sysdeps/or1k/fpu/fegetenv.c: New file.
	* sysdeps/or1k/fpu/fegetmode.c: New file.
	* sysdeps/or1k/fpu/fegetround.c: New file.
	* sysdeps/or1k/fpu/feholdexcpt.c: New file.
	* sysdeps/or1k/fpu/fenv_private.h: New file.
	* sysdeps/or1k/fpu/fesetenv.c: New file.
	* sysdeps/or1k/fpu/fesetexcept.c: New file.
	* sysdeps/or1k/fpu/fesetmode.c: New file.
	* sysdeps/or1k/fpu/fesetround.c: New file.
	* sysdeps/or1k/fpu/feupdateenv.c: New file.
	* sysdeps/or1k/fpu/fgetexcptflg.c: New file.
	* sysdeps/or1k/fpu/fix-fp-int-convert-overflow.h: New file.
	* sysdeps/or1k/fpu/fraiseexcpt.c: New file.
	* sysdeps/or1k/fpu/fsetexcptflg.c: New file.
	* sysdeps/or1k/fpu/ftestexcept.c: New file.
	* sysdeps/or1k/fpu/get-rounding-mode.h: New file.
	* sysdeps/or1k/fpu_control.h: New file.
	* sysdeps/or1k/math-tests-snan-payload.h: New file.
	* sysdeps/or1k/math-tests-trap.h: New file.
	* sysdeps/or1k/sfp-machine.h: Modified.
	[__or1k_hard_float__](FP_INIT_ROUNDMODE): New.
	[__or1k_hard_float__](FP_HANDLE_EXCEPTIONS): New.
	* sysdeps/unix/sysv/linux/or1k/Versions: New file.
	* sysdeps/unix/sysv/linux/or1k/getcontext-common.S: New file.
	* sysdeps/unix/sysv/linux/or1k/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/makecontext.c: Modified.
	(__makecontext): Modified function.
	(weak_alias): Remove.
	[SHLIB_COMPAT (libc, GLIBC_2_35, GLIBC_2_40)](__makecontext_nofpcsr): New.
	[SHLIB_COMPAT (libc, GLIBC_2_35, GLIBC_2_40)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(do_makecontext): New function.
	(versioned_symbol): New function.
	* sysdeps/unix/sysv/linux/or1k/setcontext-common.S: New file.
	* sysdeps/unix/sysv/linux/or1k/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/or1k/swapcontext-common.S: New file.
	* sysdeps/unix/sysv/linux/or1k/swapcontext.S: Modified.
	* sysdeps/unix/sysv/linux/or1k/sys/ucontext.h: Modified.
	(mcontext_t): Modified.
	* sysdeps/unix/sysv/linux/or1k/ucontext_i.sym: Modified.

2024-05-03  Stafford Horne  <shorne@gmail.com>

	COMMIT: b57adfa49b7ec75fad94548fb66fddc3bd92f457
	or1k: Add hard float libm-test-ulps

	* sysdeps/or1k/fpu/libm-test-ulps: New file.
	* sysdeps/or1k/fpu/libm-test-ulps-name: New file.
	* sysdeps/or1k/libm-test-ulps-name: Delete file.
	* sysdeps/or1k/libm-test-ulps: Move to...
	* sysdeps/or1k/nofpu/libm-test-ulps: ... here.
	* sysdeps/or1k/nofpu/libm-test-ulps-name: New file.

2024-05-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4bbca1a44691a6e9adcee5c6798a707b626bc331
	nscd: Use time_t for return type of addgetnetgrentX

	* nscd/netgroupcache.c: Modified.
	(readdinnetgr): Modified function.

2024-05-02  Gabi Falk  <gabifalk@gmx.com>

	COMMIT: ded2e0753e9c46debeb2e0d26c5e560d2581d314
	Add a test to check for duplicate definitions in the static library

	* Makefile: Modified.

2024-05-02  Gabi Falk  <gabifalk@gmx.com>

	COMMIT: 5a2cf833f5772d6c37c7adac388dd9af9cc1c4b9
	i686: Fix multiple definitions of __memmove_chk and __memset_chk

	* sysdeps/i386/i686/memmove.S: Modified.
	* sysdeps/i386/i686/memset.S: Modified.

2024-05-02  Gabi Falk  <gabifalk@gmx.com>

	COMMIT: 0fdf4ba48ccce5abf567340b0ab8fa8ed8a9bc6e
	i586: Fix multiple definitions of __memcpy_chk and __mempcpy_chk

	* sysdeps/i386/i586/memcpy.S: Modified.

2024-05-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 552073e4b88183994d8e13f693317bad89dd40f7
	nscd: Typo inside comment in netgroup cache

	* nscd/netgroupcache.c: Modified.

2024-05-01  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 91695ee4598b39d181ab8df579b888a8863c4cab
	time: Allow later version licensing.

	* sysdeps/unix/sysv/linux/timespec_get.c: Modified.
	* sysdeps/unix/sysv/linux/timespec_getres.c: Modified.
	* time/timespec_get.c: Modified.
	* time/timespec_getres.c: Modified.

2024-04-30  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: bc8879f4f5f3bc19f6f87a0b7136fd5297dce628
	hurd: Stop mapping AT_NO_AUTOMOUNT to O_NOTRANS

	* hurd/hurd/fd.h: Modified.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](__hurd_at_flags): Modified function.

2024-04-30  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: ddf71c550a5940deca74cc676f1cae134a891717
	libio: Sort test variables in Makefile

	* libio/Makefile: Modified.

2024-04-30  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 6dae61567fbf4e7519bcdeb20a5f4026715c354e
	AArch64: Remove unused defines of CPU names

	* sysdeps/aarch64/cpu-features.h: Modified.
	(IS_NEOVERSE_N1): Remove.
	(IS_NEOVERSE_N2): Remove.
	(IS_NEOVERSE_V1): Remove.

2024-04-30  Mark Wielaard  <mark@klomp.org>

	COMMIT: ebfd73a80f15559fe59fee32a7844c6b8fa99576
	Make sure INSTALL is ASCII plaintext again

	* INSTALL: Modified.
	* Makefile: Modified.

2024-04-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b62928f9070c6f3c5cc43a4cb89b4bfb950d7406
	x86: In ld.so, diagnose missing APX support in APX-only builds

	* sysdeps/x86/dl-get-cpu-features.c: Modified.
	[SHARED](_dl_x86_init_cpu_features): Modified function.

2024-04-25  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 049b7684c912dd32b67b1b15b0f43bf07d5f512e
	elf: Also compile dl-misc.os with $(rtld-early-cflags)

	* elf/Makefile: Modified.

2024-04-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c04a21e050d64a1193a6daab872bca2528bda44b
	CVE-2024-33601, CVE-2024-33602: nscd: netgroup: Use two buffers in addgetnetgrentX (bug 31680)

	* nscd/netgroupcache.c: Modified.
	(do_notfound): Modified function.
	(addgetnetgrentX): Modified function.
	(addinnetgrX): Modified function.
	(addgetnetgrentX_ignore): Modified function.
	(readdinnetgr): Modified function.
	(scratch_buffer.h): Include file.
	(send_notfound): New function.
	(addgetnetgrentX_scratch): New.
	(addgetnetgrentX_scratch_init): New function.
	(addgetnetgrentX_scratch_free): New function.
	(addgetnetgrentX_append_n): New function.
	(addgetnetgrentX_append): New function.

2024-04-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b048a482f088e53144d26a61c390bed0210f49f2
	CVE-2024-33600: nscd: Avoid null pointer crashes after notfound response (bug 31678)

	* nscd/netgroupcache.c: Modified.
	(addinnetgrX): Modified function.

2024-04-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7835b00dbce53c3c87bbbb1754a95fb5e58187aa
	CVE-2024-33600: nscd: Do not send missing not-found response in addgetnetgrentX (bug 31678)

	* nscd/netgroupcache.c: Modified.
	(addgetnetgrentX): Modified function.

2024-04-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 87801a8fd06db1d654eea3e4f7626ff476a9bdaa
	CVE-2024-33599: nscd: Stack-based buffer overflow in netgroup cache (bug 31677)

	* nscd/netgroupcache.c: Modified.
	(addinnetgrX): Modified function.

2024-04-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3a3a4497421422aa854c855cbe5110ca7d598ffc
	i386: ulp update for SSE2 --disable-multi-arch configurations

	* sysdeps/i386/fpu/libm-test-ulps: Modified.

2024-04-25  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 41903cb6f460d62ba6dd2f4883116e2a624ee6f8
	GLIBC-SA-2024-0004: add commit for 2.31 branch

	* advisories/GLIBC-SA-2024-0004: Modified.

2024-04-24  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: f262fce61671c38d436d2d0cd68dab5642ac9ef0
	benchtests: Add difficult strstr needle for bruteforce algorithms

	* benchtests/bench-strstr.c: Modified.
	(test_hard_needle): Modified function.

2024-04-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 46c999741340ea559784c20a45077955b50aca43
	x86: Define MINIMUM_X86_ISA_LEVEL in config.h [BZ #31676]

	* config.h.in: Modified.
	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.
	* sysdeps/x86/isa-level.h: Modified.
	(MINIMUM_X86_ISA_LEVEL): Remove.
	[! MINIMUM_X86_ISA_LEVEL](MINIMUM_X86_ISA_LEVEL): New.

2024-04-24  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 095067efdf68c8061d6f99a21a0300841bede999
	LoongArch: Add glibc.cpu.hwcap support.

	* manual/tunables.texi: Modified.
	* sysdeps/loongarch/Makefile: Modified.
	* sysdeps/loongarch/cpu-tunables.c: New file.
	* sysdeps/loongarch/dl-get-cpu-features.c: New file.
	* sysdeps/loongarch/dl-machine.h: Modified.
	[! dl_machine_h](cpu-features.c): Include file.
	[! dl_machine_h](DL_PLATFORM_INIT): New.
	[! dl_machine_h](dl_platform_init): New function.
	[RESOLVE_MAP](elf_machine_runtime_setup): Modified function.
	* sysdeps/loongarch/dl-tunables.list: New file.
	* sysdeps/loongarch/lp64/multiarch/dl-symbol-redir-ifunc.h: Modified.
	(memset): Remove.
	[! SHARED](memset): New.
	[! SHARED](memcmp): New.
	* sysdeps/loongarch/tst-hwcap-tunables.c: New file.
	* sysdeps/unix/sysv/linux/loongarch/cpu-features.c: New file.
	* sysdeps/unix/sysv/linux/loongarch/cpu-features.h: Modified.
	(SUPPORT_UAL): Modified.
	(SUPPORT_LSX): Modified.
	(SUPPORT_LASX): Modified.
	(stdint.h): Include file.
	(cpu_features): New.
	(_dl_larch_get_cpu_features): New function.
	(RTLD_SUPPORT_LSX): New.
	(RTLD_SUPPORT_LASX): New.
	* sysdeps/unix/sysv/linux/loongarch/dl-procinfo.c: New file.
	* sysdeps/unix/sysv/linux/loongarch/dl-sysdep.c: New file.
	* sysdeps/unix/sysv/linux/loongarch/libc-start.c: New file.

2024-04-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f4724843ada64a51d66f65d3199fe431f9d4c254
	nptl: Fix tst-cancel30 on kernels without ppoll_time64 support

	* sysdeps/pthread/tst-cancel30.c: Modified.
	(tf): Modified function.
	(errno.h): Include file.

2024-04-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 16c8dfba14ff7596ad3aea941a240f8abcdc50e6
	Revert "Allow glibc to be compiled without EXEC_PAGESIZE"

	* elf/dl-support.c: Modified.
	[EXEC_PAGESIZE][! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Remove.
	[EXEC_PAGESIZE][! PTHREAD_IN_LIBC](_dl_make_stack_executable): Remove.
	[EXEC_PAGESIZE][! PTHREAD_IN_LIBC](_dl_nothread_init_static_tls): Remove.
	[EXEC_PAGESIZE][DL_SYSINFO_IMPLEMENTATION](DL_SYSINFO_IMPLEMENTATION): Remove.
	[EXEC_PAGESIZE][HAVE_AUX_VECTOR](dl-parse_auxv.h): Remove.
	[EXEC_PAGESIZE][HAVE_AUX_VECTOR](_dl_clktck): Remove.
	[EXEC_PAGESIZE][HAVE_AUX_VECTOR](_dl_aux_init): Remove.
	[EXEC_PAGESIZE][NEED_DL_SYSINFO](_dl_sysinfo): Remove.
	[EXEC_PAGESIZE][NEED_DL_SYSINFO_DSO](_dl_sysinfo_dso): Remove.
	[EXEC_PAGESIZE][NEED_DL_SYSINFO_DSO](_dl_sysinfo_map): Remove.
	[EXEC_PAGESIZE][NEED_DL_SYSINFO_DSO](get-dynamic-info.h): Remove.
	[EXEC_PAGESIZE][PTHREAD_IN_LIBC](_dl_stack_used): Remove.
	[EXEC_PAGESIZE][PTHREAD_IN_LIBC](_dl_stack_user): Remove.
	[EXEC_PAGESIZE][PTHREAD_IN_LIBC](_dl_stack_cache): Remove.
	[EXEC_PAGESIZE][PTHREAD_IN_LIBC](_dl_stack_cache_actsize): Remove.
	[EXEC_PAGESIZE][PTHREAD_IN_LIBC](_dl_in_flight_stack): Remove.
	[EXEC_PAGESIZE][PTHREAD_IN_LIBC](_dl_stack_cache_lock): Remove.
	[EXEC_PAGESIZE](_dl_pagesize): Remove.
	[EXEC_PAGESIZE](_dl_minsigstacksize): Remove.
	[EXEC_PAGESIZE](_dl_inhibit_cache): Remove.
	[EXEC_PAGESIZE](_dl_all_dirs): Remove.
	[EXEC_PAGESIZE](_dl_init_all_dirs): Remove.
	[EXEC_PAGESIZE](_dl_initfirst): Remove.
	[EXEC_PAGESIZE](_dl_debug_fd): Remove.
	[EXEC_PAGESIZE](_dl_auxv): Remove.
	[EXEC_PAGESIZE](_dl_phdr): Remove.
	[EXEC_PAGESIZE](_dl_phnum): Remove.
	[EXEC_PAGESIZE](_dl_hwcap): Remove.
	[EXEC_PAGESIZE](_dl_hwcap2): Remove.
	[EXEC_PAGESIZE](_dl_hwcap3): Remove.
	[EXEC_PAGESIZE](_dl_hwcap4): Remove.
	[EXEC_PAGESIZE](_dl_dso_sort_algo): Remove.
	[EXEC_PAGESIZE](_dl_fpu_control): Remove.
	[EXEC_PAGESIZE](_dl_stack_flags): Remove.
	[EXEC_PAGESIZE](_dl_scope_free_list): Remove.
	[EXEC_PAGESIZE](setup-vdso.h): Remove.
	[EXEC_PAGESIZE](dl-vdso-setup.c): Remove.
	[EXEC_PAGESIZE](__rtld_lock_define_initialized_recursive): Remove.
	[EXEC_PAGESIZE](_dl_get_dl_main_map): Remove.
	[EXEC_PAGESIZE](_dl_audit_pltexit): Remove.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): New.
	[! PTHREAD_IN_LIBC](_dl_make_stack_executable): New.
	[! PTHREAD_IN_LIBC](_dl_nothread_init_static_tls): New.
	[DL_SYSINFO_IMPLEMENTATION](DL_SYSINFO_IMPLEMENTATION): New.
	[HAVE_AUX_VECTOR](dl-parse_auxv.h): New.
	[HAVE_AUX_VECTOR](_dl_clktck): New.
	[HAVE_AUX_VECTOR](_dl_aux_init): New.
	[NEED_DL_SYSINFO](_dl_sysinfo): New.
	[NEED_DL_SYSINFO_DSO](_dl_sysinfo_dso): New.
	[NEED_DL_SYSINFO_DSO](_dl_sysinfo_map): New.
	[NEED_DL_SYSINFO_DSO](get-dynamic-info.h): New.
	[PTHREAD_IN_LIBC](_dl_stack_used): New.
	[PTHREAD_IN_LIBC](_dl_stack_user): New.
	[PTHREAD_IN_LIBC](_dl_stack_cache): New.
	[PTHREAD_IN_LIBC](_dl_stack_cache_actsize): New.
	[PTHREAD_IN_LIBC](_dl_in_flight_stack): New.
	[PTHREAD_IN_LIBC](_dl_stack_cache_lock): New.
	(_dl_pagesize): New.
	(_dl_minsigstacksize): New.
	(_dl_inhibit_cache): New.
	(_dl_all_dirs): New.
	(_dl_init_all_dirs): New.
	(_dl_initfirst): New.
	(_dl_debug_fd): New.
	(_dl_auxv): New.
	(_dl_phdr): New.
	(_dl_phnum): New.
	(_dl_hwcap): New.
	(_dl_hwcap2): New.
	(_dl_hwcap3): New.
	(_dl_hwcap4): New.
	(_dl_dso_sort_algo): New.
	(_dl_fpu_control): New.
	(_dl_stack_flags): New.
	(_dl_scope_free_list): New.
	(setup-vdso.h): Include file.
	(dl-vdso-setup.c): Include file.
	(__rtld_lock_define_initialized_recursive): New function.
	(_dl_get_dl_main_map): New function.
	(_dl_audit_pltexit): New function.
	* elf/rtld.c: Modified.
	* libio/libioP.h: Modified.
	[_G_HAVE_MMAP][! MAP_ANONYMOUS](_G_HAVE_MMAP): Remove.
	[_G_HAVE_MMAP][! MAP_ANONYMOUS || ! EXEC_PAGESIZE](_G_HAVE_MMAP): New.

2024-04-22  Carlos O'Donell  <carlos@redhat.com>
            Jeff Law  <law@redhat.com>

	COMMIT: 684fbab755e727a8c15f8b621648d66694cd1f53
	locale: Handle loading a missing locale twice (Bug 14247)

	* gen-locales.mk: Modified.
	* locale/findlocale.c: Modified.
	(_nl_find_locale): Modified function.
	* locale/loadlocale.c: Modified.
	(_nl_load_locale): Modified function.
	* localedata/Makefile: Modified.
	* localedata/gen-locale.sh: Modified.
	* localedata/tst-locale-loadlocale.c: New file.

2024-04-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 25b191f6d33cda5770a18fd18be86cce0ebb3228
	elf: Do not check for loader mmap on tst-decorate-maps (BZ 31553)

	* elf/tst-decorate-maps.c: Modified.
	(proc_maps_t): Modified.
	(read_proc_maps): Modified function.
	(do_test_threads): Modified function.

2024-04-19  Joseph Myers  <josmyers@redhat.com>

	COMMIT: f6d18bea387676e774e18ce410ace8c33a5c3511
	Use --enable-obsolete in build-many-glibcs.py for nios2-linux-gnu

	* scripts/build-many-glibcs.py: Modified.

2024-04-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5361ad3910c257bc327567be76fde532ed238e42
	login: Use unsigned 32-bit types for seconds-since-epoch

	* NEWS: Modified.
	* bits/utmp.h: Modified.
	(lastlog): Modified.
	(utmp): Modified.
	* login/Makefile: Modified.
	* login/tst-utmp-unsigned-64.c: New file.
	* login/tst-utmp-unsigned.c: New file.
	* sysdeps/gnu/bits/utmpx.h: Modified.
	(utmpx): Modified.

2024-04-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9abdae94c7454c45e02e97e4ed1eb1b1915d13d8
	login: structs utmp, utmpx, lastlog _TIME_BITS independence (bug 30701)

	* bits/wordsize.h: Modified.
	* login/Makefile: Modified.
	* login/tst-utmp-size-64.c: New file.
	* sysdeps/arm/bits/wordsize.h: New file.
	* sysdeps/csky/bits/wordsize.h: New file.
	* sysdeps/m68k/bits/wordsize.h: New file.
	* sysdeps/microblaze/bits/wordsize.h: New file.
	* sysdeps/mips/bits/wordsize.h: Modified.
	[_MIPS_SIM != _ABI64](__WORDSIZE_TIME64_COMPAT32): Remove.
	[_MIPS_SIM == _ABI64](__WORDSIZE_TIME64_COMPAT32): Remove.
	(__WORDSIZE_TIME64_COMPAT32): New.
	* sysdeps/nios2/bits/wordsize.h: New file.
	* sysdeps/powerpc/powerpc32/bits/wordsize.h: Modified.
	[! __powerpc64__](__WORDSIZE_TIME64_COMPAT32): Remove.
	[__powerpc64__](__WORDSIZE_TIME64_COMPAT32): Remove.
	(__WORDSIZE_TIME64_COMPAT32): New.
	* sysdeps/powerpc/powerpc64/bits/wordsize.h: Modified.
	[! __powerpc64__](__WORDSIZE_TIME64_COMPAT32): Remove.
	[__powerpc64__](__WORDSIZE_TIME64_COMPAT32): Remove.
	(__WORDSIZE_TIME64_COMPAT32): New.
	* sysdeps/sh/bits/wordsize.h: New file.
	* sysdeps/sparc/sparc32/bits/wordsize.h: Modified.
	(__WORDSIZE_TIME64_COMPAT32): Modified.
	* sysdeps/sparc/sparc64/bits/wordsize.h: Modified.
	[!(__arch64__ ||  __sparcv9)](__WORDSIZE_TIME64_COMPAT32): Remove.
	[__arch64__ ||  __sparcv9](__WORDSIZE_TIME64_COMPAT32): Remove.
	(__WORDSIZE_TIME64_COMPAT32): New.
	* sysdeps/unix/sysv/linux/hppa/bits/wordsize.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/bits/wordsize.h: Modified.
	[! __powerpc64__](__WORDSIZE_TIME64_COMPAT32): Remove.
	[__powerpc64__](__WORDSIZE_TIME64_COMPAT32): Remove.
	(__WORDSIZE_TIME64_COMPAT32): New.
	* sysdeps/unix/sysv/linux/sparc/bits/wordsize.h: Modified.
	[!(__arch64__ ||  __sparcv9)](__WORDSIZE_TIME64_COMPAT32): Remove.
	[__arch64__ ||  __sparcv9](__WORDSIZE_TIME64_COMPAT32): Remove.
	(__WORDSIZE_TIME64_COMPAT32): New.
	* sysdeps/x86/bits/wordsize.h: Modified.
	[! __x86_64__](__WORDSIZE_TIME64_COMPAT32): Remove.
	[__x86_64__](__WORDSIZE_TIME64_COMPAT32): Remove.
	(__WORDSIZE_TIME64_COMPAT32): New.

2024-04-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4d4da5aab936504b2d3eca3146e109630d9093c4
	login: Check default sizes of structs utmp, utmpx, lastlog

	* login/Makefile: Modified.
	* login/tst-utmp-size.c: New file.
	* sysdeps/arc/utmp-size.h: New file.
	* sysdeps/arm/utmp-size.h: New file.
	* sysdeps/csky/utmp-size.h: New file.
	* sysdeps/generic/utmp-size.h: New file.
	* sysdeps/hppa/utmp-size.h: New file.
	* sysdeps/m68k/utmp-size.h: New file.
	* sysdeps/microblaze/utmp-size.h: New file.
	* sysdeps/mips/utmp-size.h: New file.
	* sysdeps/nios2/utmp-size.h: New file.
	* sysdeps/or1k/utmp-size.h: New file.
	* sysdeps/powerpc/utmp-size.h: New file.
	* sysdeps/riscv/utmp-size.h: New file.
	* sysdeps/sh/utmp-size.h: New file.
	* sysdeps/sparc/utmp-size.h: New file.
	* sysdeps/x86/utmp-size.h: New file.

2024-04-18  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 0997c3d0c87433ac8c78043aaa9b6b7e91df2882
	benchtests: Add random() benchmark

	* benchtests/Makefile: Modified.
	* benchtests/bench-random-lock.c: New file.

2024-04-18  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 05c3495296bc38c3c46117c45ee6e663581e3370
	advisories: Add Reported-By

	* advisories/README: Modified.

2024-04-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0e53e7cdf50b92f007eff86a02252d9549d8ef2c
	Fix 'Reported-By' to use Camel Case for commit 6a98f4640ea453f

	* advisories/GLIBC-SA-2024-0004: Modified.

2024-04-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6a98f4640ea453fe048d3a49944044bce2c4c641
	Document CVE-2024-2961

	* advisories/GLIBC-SA-2024-0004: New file.

2024-04-17  Charles Fol  <folcharles@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f9dc609e06b1136bb0408be9605ce7973a767ada
	iconv: ISO-2022-CN-EXT: fix out-of-bound writes when writing escape sequence (CVE-2024-2961)

	* iconvdata/Makefile: Modified.
	* iconvdata/iso-2022-cn-ext.c: Modified.
	* iconvdata/tst-iconv-iso-2022-cn-ext.c: New file.

2024-04-16  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 59974938fe1f4add843f5325f78e2a7ccd8db853
	elf/rtld: Count skipped environment variables for enable_secure

	* elf/Makefile: Modified.
	* elf/rtld.c: Modified.
	(process_envvars): Modified.
	(_dl_start_args_adjust): Modified function.
	(dl_main): Modified function.
	(process_envvars_secure): Modified function.
	(process_envvars): Modified function.
	* elf/tst-tunables-enable_secure-env.c: New file.

2024-04-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 14e56bd4ce15ac2d1cc43f762eb2e6b83fec1afe
	powerpc: Fix ld.so address determination for PCREL mode (bug 31640)

	* sysdeps/powerpc/powerpc64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_load_address): Remove function.
	[! dl_machine_h](elf_machine_dynamic): Remove function.
	[! dl_machine_h][! __PCREL__](elf_machine_load_address): New.
	[! dl_machine_h][! __PCREL__](elf_machine_dynamic): New.
	[! dl_machine_h][__PCREL__](elf_machine_load_address): New.
	[! dl_machine_h][__PCREL__](elf_machine_dynamic): New.

2024-04-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: aea52e3d2b71e89f2ba4fd4d8f1f8d3036d83c1d
	Revert "x86_64: Suppress false positive valgrind error"

	* elf/Makefile: Modified.
	* elf/tst-valgrind-smoke.sh: Modified.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/tst-valgrind-smoke.supp: Delete file.

2024-04-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cf11e74b0d81d389bcad5cdbba020ba475f0ac4b
	wcsmbs: Ensure wcstr worst-case linear execution time (BZ 23865)

	* string/test-strstr.c: Modified.
	[WIDE](__wmemcmp): New.
	[WIDE](__wcsnlen): New.
	[WIDE](__wcslen): New.
	(test_main): Modified function.
	(check3): New function.
	(pr23865): New function.
	* wcsmbs/wcs-two-way.h: New file.
	* wcsmbs/wcsstr.c: Modified.
	(WCSSTR): Modified function.
	(string.h): Include file.
	(AVAILABLE): New.
	(wcs-two-way.h): Include file.

2024-04-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4b717562c4768883a87f62d67610c0a48e911445
	wcsmbs: Add test-wcsstr

	* string/test-strstr.c: Modified.
	(TEST_NAME): Remove.
	(STRSTR): Remove.
	(libc_hidden_builtin_def): Remove.
	(__strnlen): Remove.
	(strstr.c): Remove include.
	(simple_strstr): Modified function.
	(proto_t): Modified.
	(IMPL__c_strstr): Remove function.
	(IMPL__strstr): Remove function.
	(check_result): Modified function.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(check1): Modified function.
	(check2): Modified function.
	(pr23637): Modified function.
	[! WIDE](TEST_NAME): New.
	[! WIDE](TEST_FUNC): New.
	[! WIDE](CHAR): New.
	[! WIDE](STRLEN): New.
	[! WIDE](STRCPY): New.
	[! WIDE](MEMCPY): New.
	[! WIDE](MEMSET): New.
	[! WIDE](MEMPCPY): New.
	[! WIDE](L): New.
	[! WIDE](STRSTR): New.
	[! WIDE](libc_hidden_builtin_def): New.
	[! WIDE](__strnlen): New.
	[! WIDE](strstr.c): New.
	[! WIDE](C_IMPL): New.
	[WIDE](TEST_NAME): New.
	[WIDE](TEST_FUNC): New.
	[WIDE](wchar.h): New.
	[WIDE](CHAR): New.
	[WIDE](STRLEN): New.
	[WIDE](STRCPY): New.
	[WIDE](MEMCPY): New.
	[WIDE](MEMSET): New.
	[WIDE](MEMPCPY): New.
	[WIDE](L): New.
	[WIDE](BUF1PAGES): New.
	[WIDE](weak_alias): New.
	[WIDE](WCSSTR): New.
	[WIDE](wcsstr.c): New.
	[WIDE](C_IMPL): New.
	(IMPL__C_IMPL): New function.
	(IMPL__TEST_FUNC): New function.
	* wcsmbs/Makefile: Modified.
	* wcsmbs/test-wcsstr.c: New file.
	* wcsmbs/wcsstr.c: Modified.
	(wcsstr): Remove function.
	[! WCSSTR](WCSSTR): New.
	(WCSSTR): New function.

2024-04-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Bruno Haible  <bruno@clisp.org>
            Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 686d5420253bd76b1b7458f91d6ef9fc1a12b229
	posix: Sync tempname with gnulib

	* SHARED-FILES: Modified.
	* include/stdio.h: Modified.
	[! _ISOMAC](__path_search): Remove.
	* libio/oldtmpfile.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)](stdio-common/tmpdir.h): Include file.
	* stdio-common/Makefile: Modified.
	* stdio-common/tempnam.c: Modified.
	(tmpdir.h): Include file.
	* stdio-common/tempname.c: Modified.
	(__path_search): Remove function.
	(stub_warning): Remove function.
	(__gen_tempname): New function.
	* stdio-common/tmpdir.c: New file.
	* stdio-common/tmpdir.h: New file.
	* stdio-common/tmpfile.c: Modified.
	(tmpdir.h): Include file.
	* stdio-common/tmpnam.c: Modified.
	(tmpdir.h): Include file.
	* stdio-common/tmpnam_r.c: Modified.
	(tmpdir.h): Include file.
	* sysdeps/posix/tempname.c: Modified.
	[! P_tmpdir](P_tmpdir): Remove.
	[! _LIBC](__stat64): Remove.
	[_LIBC](__secure_getenv): Remove.
	[_LIBC](direxists): Remove function.
	[_LIBC](__path_search): Remove function.
	[_LIBC](try_tempname_len): Modified function.
	(sys/types.h): Remove include.
	(assert.h): Remove include.
	(stdbool.h): Remove include.
	(stddef.h): Remove include.
	(stdalign.h): Remove include.
	(random_bits): Modified function.
	(mix_random_values): New function.

2024-04-10  Sergey Kolosov  <skolosov@redhat.com>

	COMMIT: 3a83f79024cc023a74c3892a1673542e8e972485
	socket: Add new test for connect

	* socket/Makefile: Modified.
	* socket/tst-connect.c: New file.

2024-04-10  Sergey Kolosov  <skolosov@redhat.com>

	COMMIT: 6687a6e3f962759536a8019d31c68c1009ccd6eb
	libsupport: Add xgetpeername

	* support/Makefile: Modified.
	* support/xgetpeername.c: New file.
	* support/xsocket.h: Modified.
	(xgetpeername): New function.

2024-04-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 42e48e720c78ab75eb8def9e866da52b0ac278df
	nptl: Add tst-pthread-key1-static for BZ #21777

	* nptl/Makefile: Modified.
	* nptl/tst-pthread-key1-static.c: New file.

2024-04-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ae7468a7b0bcf22e9cd5fcae42bb9e4f65de83ee
	elf: Add ld.so test with non-existing program name

	* elf/Makefile: Modified.
	* elf/tst-rtld-does-not-exist.sh: New file.

2024-04-08  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 1cce91d8aed5c3eca2b6f47767c82d9ed3e9e33f
	elf: Check objname before calling fatal_error

	* elf/dl-catch.c: Modified.
	(_dl_signal_error): Modified function.

2024-04-08  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 727aacfd667c026762b9aaa1a3a293f815edebba
	Use crtbeginT.o and crtend.o for non-PIE static executables

	* Makeconfig: Modified.

2024-04-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f8d8b1b1e6d3b8b93f224efc796b7ea083fdb83f
	aarch64: Enhanced CPU diagnostics for ld.so

	* manual/dynlink.texi: Modified.
	* sysdeps/aarch64/dl-diagnostics-cpu.c: New file.

2024-04-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7a430f40c46acfa7ce4c3bff193b278c190b2efc
	x86: Add generic CPUID data dumper to ld.so --list-diagnostics

	* manual/dynlink.texi: Modified.
	* sysdeps/x86/dl-diagnostics-cpu.c: Modified.
	(_dl_diagnostics_cpu): Modified function.
	(array_length.h): Include file.
	(cpu-features.h): Include file.
	(cpuid.h): Include file.
	(dl-iterate_cpu.h): Include file.
	(stdbool.h): Include file.
	(string.h): Include file.
	(sysdep.h): Include file.
	(_dl_diagnostics_cpuid): New function.
	(cpuid_query): New.
	(cpuid_query_combined): New function.
	(cpuid_registers_zero): New.
	(cpuid_query_result): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(cpuid_collected_data): New.
	(_dl_diagnostics_cpuid_store): New function.
	(_dl_diagnostics_cpuid_collect_1): New function.
	(_dl_diagnostics_cpuid_collect): New function.
	(_dl_diagnostics_cpuid_print_reg): New function.
	(_dl_diagnostics_cpuid_print_query): New function.
	(_dl_diagnostics_cpuid_report): New function.
	(_dl_diagnostics_cpuid): New function.

2024-04-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5653ccd847f0cd3a98906e44c97c71d68652d326
	elf: Add CPU iteration support for future use in ld.so diagnostics

	* elf/dl-iterate_cpu.h: New file.
	* sysdeps/generic/dl-affinity.h: New file.
	* sysdeps/unix/sysv/linux/dl-affinity.h: New file.

2024-04-07  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 1f94147a79fcb7211f1421b87383cad93986797f
	timezone: sync to TZDB 2024a

	* SHARED-FILES: Modified.
	* config.h.in: Modified.
	* timezone/Makefile: Modified.
	* timezone/private.h: Modified.
	[! HAVE_GENERIC](HAVE_GENERIC): Remove.
	[! HAVE_GENERIC](TIME_T_MIN): Remove.
	[! HAVE_GENERIC](TIME_T_MAX): Remove.
	[! HAVE_GENERIC &&  __GNUC__](HAVE_GENERIC): Remove.
	[! HAVE_GENERIC &&  __has_extension][!(__has_extension(c_generic_selections))](HAVE_GENERIC): Remove.
	[! HAVE_GENERIC &&  __has_extension][__has_extension(c_generic_selections)](HAVE_GENERIC): Remove.
	[! HAVE_GETTEXT](HAVE_GETTEXT): Modified.
	[! HAVE_INCOMPATIBLE_CTIME_R](HAVE_INCOMPATIBLE_CTIME_R): Modified.
	[! HAVE_INTTYPES_H](HAVE_INTTYPES_H): Remove.
	[! HAVE_LINK](HAVE_LINK): Modified.
	[! HAVE_STDBOOL_H](HAVE_STDBOOL_H): Remove.
	[! HAVE_STDBOOL_H](true): Remove.
	[! HAVE_STDBOOL_H](false): Remove.
	[! HAVE_STDBOOL_H](bool): Remove.
	[! HAVE_STDINT_H](HAVE_STDINT_H): Remove.
	[! HAVE_STRTOLL](HAVE_STRTOLL): Remove.
	[! HAVE_SYMLINK](HAVE_SYMLINK): Modified.
	[! HAVE_SYS_STAT_H](HAVE_SYS_STAT_H): Modified.
	[! HAVE_SYS_WAIT_H](HAVE_SYS_WAIT_H): Remove.
	[! HAVE_UNISTD_H](HAVE_UNISTD_H): Modified.
	[! HAVE_UTMPX_H](HAVE_UTMPX_H): Remove.
	[! INT32_MAX](INT32_MAX): Remove.
	[! INT32_MIN](INT32_MIN): Remove.
	[! INTMAX_MAX][! LLONG_MAX](intmax_t): Remove.
	[! INTMAX_MAX][! LLONG_MAX](INTMAX_MAX): Remove.
	[! INTMAX_MAX][! LLONG_MAX](INTMAX_MIN): Remove.
	[! INTMAX_MAX][! strtoimax](strtoimax): Remove.
	[! INTMAX_MAX][LLONG_MAX][HAVE_STRTOLL](strtoimax): Remove.
	[! INTMAX_MAX][LLONG_MAX](intmax_t): Remove.
	[! INTMAX_MAX][LLONG_MAX](INTMAX_MAX): Remove.
	[! INTMAX_MAX][LLONG_MAX](INTMAX_MIN): Remove.
	[! INT_FAST32_MAX][!(INT_MAX >> 31 == 0)](int_fast32_t): Remove.
	[! INT_FAST32_MAX][!(INT_MAX >> 31 == 0)](INT_FAST32_MAX): Remove.
	[! INT_FAST32_MAX][!(INT_MAX >> 31 == 0)](INT_FAST32_MIN): Remove.
	[! INT_FAST32_MAX][INT_MAX >> 31 == 0](int_fast32_t): Remove.
	[! INT_FAST32_MAX][INT_MAX >> 31 == 0](INT_FAST32_MAX): Remove.
	[! INT_FAST32_MAX][INT_MAX >> 31 == 0](INT_FAST32_MIN): Remove.
	[! INT_FAST64_MAX][! LLONG_MAX][LONG_MAX >> 31 < 0xffffffff](type): Remove.
	[! INT_FAST64_MAX][! LLONG_MAX][LONG_MAX >> 31 < 0xffffffff](int_fast64_t): Remove.
	[! INT_FAST64_MAX][! LLONG_MAX](INT_FAST64_MIN): Remove.
	[! INT_FAST64_MAX][! LLONG_MAX](INT_FAST64_MAX): Remove.
	[! INT_FAST64_MAX][LLONG_MAX](int_fast64_t): Remove.
	[! INT_FAST64_MAX][LLONG_MAX](INT_FAST64_MIN): Remove.
	[! INT_FAST64_MAX][LLONG_MAX](INT_FAST64_MAX): Remove.
	[! PRIdFAST64][INT_FAST64_MAX != LLONG_MAX](PRIdFAST64): Remove.
	[! PRIdFAST64][INT_FAST64_MAX == LLONG_MAX](PRIdFAST64): Remove.
	[! PRIdMAX][INTMAX_MAX != LLONG_MAX](PRIdMAX): Remove.
	[! PRIdMAX][INTMAX_MAX == LLONG_MAX](PRIdMAX): Remove.
	[! PRIuMAX][!(ULLONG_MAX ||  __LONG_LONG_MAX__)](PRIuMAX): Remove.
	[! PRIuMAX][ULLONG_MAX ||  __LONG_LONG_MAX__](PRIuMAX): Remove.
	[! R_OK](R_OK): Modified.
	[! SCNdFAST64](SCNdFAST64): Remove.
	[! SIZE_MAX](SIZE_MAX): Remove.
	[! UINTMAX_MAX][!(ULLONG_MAX ||  __LONG_LONG_MAX__)](uintmax_t): Remove.
	[! UINTMAX_MAX][ULLONG_MAX ||  __LONG_LONG_MAX__](uintmax_t): Remove.
	[! UINT_FAST64_MAX][!(ULLONG_MAX ||  __LONG_LONG_MAX__)][ULONG_MAX >> 31 >> 1 < 0xffffffff](type): Remove.
	[! UINT_FAST64_MAX][!(ULLONG_MAX ||  __LONG_LONG_MAX__)][ULONG_MAX >> 31 >> 1 < 0xffffffff](uint_fast64_t): Remove.
	[! UINT_FAST64_MAX][ULLONG_MAX ||  __LONG_LONG_MAX__](uint_fast64_t): Remove.
	[! _Noreturn && __STDC_VERSION__ < 201112][!(2 < __GNUC__ + (8 <= __GNUC_MINOR__))](_Noreturn): Remove.
	[! _Noreturn && __STDC_VERSION__ < 201112][2 < __GNUC__ + (8 <= __GNUC_MINOR__)](_Noreturn): Remove.
	[!(3 <= __GNUC__)](ATTRIBUTE_CONST): Remove.
	[!(3 <= __GNUC__)](ATTRIBUTE_PURE): Remove.
	[( __GLIBC__  ||  __FreeBSD__ ||  __NetBSD__ ||  __OpenBSD__  || ( __APPLE__ &&  __MACH__))][! TM_GMTOFF && ! NO_TM_GMTOFF](TM_GMTOFF): Remove.
	[( __GLIBC__  ||  __FreeBSD__ ||  __NetBSD__ ||  __OpenBSD__  || ( __APPLE__ &&  __MACH__))][! TM_ZONE && ! NO_TM_ZONE](TM_ZONE): Remove.
	[3 <= __GNUC__](ATTRIBUTE_CONST): Remove.
	[3 <= __GNUC__](ATTRIBUTE_MALLOC): Modified.
	[3 <= __GNUC__](ATTRIBUTE_PURE): Remove.
	[3 <= __GNUC__](ATTRIBUTE_FORMAT): Modified.
	[HAVE_GENERIC](TIME_T_MIN): Remove.
	[HAVE_GENERIC](TIME_T_MAX): Remove.
	[HAVE_INCOMPATIBLE_CTIME_R](asctime_r): Modified.
	[HAVE_INTTYPES_H](inttypes.h): Remove.
	[HAVE_STDBOOL_H](stdbool.h): Remove.
	[HAVE_STDINT_H](stdint.h): Remove.
	[NETBSD_INSPIRED][STD_INSPIRED][TZ_TIME_T || ! posix2time_z](posix2time_z): Modified.
	[NETBSD_INSPIRED][STD_INSPIRED][TZ_TIME_T || ! time2posix_z](time2posix_z): Modified.
	[STD_INSPIRED][TZ_TIME_T || ! timegm](timegm): Remove.
	[STD_INSPIRED][TZ_TIME_T || ! timeoff](timeoff): Remove.
	[STD_INSPIRED][TZ_TIME_T || ! timeoff](EXTERN_TIMEOFF): New.
	[STD_INSPIRED][TZ_TIME_T || ! tzsetwall](tzsetwall): Remove.
	[TZ_TIME_T][LOCALTIME_IMPLEMENTATION](sys_time): Remove.
	[TZ_TIME_T](tzsetwall): Remove.
	[TZ_TIME_T](asctime): Modified.
	[TZ_TIME_T](ctime): Modified.
	[TZ_TIME_T](difftime): Modified.
	[TZ_TIME_T][!(__STDC_VERSION__ < 202311)](DEPRECATED_IN_C23): New.
	[TZ_TIME_T][__STDC_VERSION__ < 202311](DEPRECATED_IN_C23): New.
	[TZ_TIME_T](timegm): New function.
	[__LONG_LONG_MAX__][! LLONG_MAX](LLONG_MAX): Remove.
	[__LONG_LONG_MAX__][! LLONG_MIN](LLONG_MIN): Remove.
	[__STDC_VERSION__ < 199901 && ! restrict](restrict): Remove.
	(_LARGE_FILES): Remove.
	(_DARWIN_USE_64_BIT_INODE): Remove.
	(sys/types.h): Remove include.
	(is_digit): Remove.
	(TYPE_BIT): Modified.
	(YEARSPERREPEAT): Remove.
	(SECSPERMIN): Remove.
	(MINSPERHOUR): Remove.
	(HOURSPERDAY): Remove.
	(DAYSPERWEEK): Remove.
	(DAYSPERNYEAR): Remove.
	(DAYSPERLYEAR): Remove.
	(SECSPERHOUR): Remove.
	(MONSPERYEAR): Remove.
	(TM_SUNDAY): Remove.
	(TM_MONDAY): Remove.
	(TM_TUESDAY): Remove.
	(TM_WEDNESDAY): Remove.
	(TM_THURSDAY): Remove.
	(TM_FRIDAY): Remove.
	(TM_SATURDAY): Remove.
	(TM_JANUARY): Remove.
	(TM_FEBRUARY): Remove.
	(TM_MARCH): Remove.
	(TM_APRIL): Remove.
	(TM_MAY): Remove.
	(TM_JUNE): Remove.
	(TM_JULY): Remove.
	(TM_AUGUST): Remove.
	(TM_SEPTEMBER): Remove.
	(TM_OCTOBER): Remove.
	(TM_NOVEMBER): Remove.
	(TM_DECEMBER): Remove.
	(TM_YEAR_BASE): Remove.
	(EPOCH_YEAR): Remove.
	(EPOCH_WDAY): Remove.
	(AVGSECSPERYEAR): Modified.
	(SECSPERREPEAT): Modified.
	(SECSPERREPEAT_BITS): Remove.
	[! ATTRIBUTE_DEPRECATED][!(3 < __GNUC__ + (2 <= __GNUC_MINOR__))](ATTRIBUTE_DEPRECATED): New.
	[! ATTRIBUTE_DEPRECATED][3 < __GNUC__ + (2 <= __GNUC_MINOR__)](ATTRIBUTE_DEPRECATED): New.
	[! ATTRIBUTE_FALLTHROUGH][!(7 <= __GNUC__)](ATTRIBUTE_FALLTHROUGH): New.
	[! ATTRIBUTE_FALLTHROUGH][7 <= __GNUC__](ATTRIBUTE_FALLTHROUGH): New.
	[! ATTRIBUTE_MAYBE_UNUSED][!(2 < __GNUC__ + (7 <= __GNUC_MINOR__))](ATTRIBUTE_MAYBE_UNUSED): New.
	[! ATTRIBUTE_MAYBE_UNUSED][2 < __GNUC__ + (7 <= __GNUC_MINOR__)](ATTRIBUTE_MAYBE_UNUSED): New.
	[! ATTRIBUTE_NORETURN][!(2 < __GNUC__ + (8 <= __GNUC_MINOR__))](ATTRIBUTE_NORETURN): New.
	[! ATTRIBUTE_NORETURN][2 < __GNUC__ + (8 <= __GNUC_MINOR__)](ATTRIBUTE_NORETURN): New.
	[! ATTRIBUTE_NORETURN][201112 <= __STDC_VERSION__](ATTRIBUTE_NORETURN): New.
	[! ATTRIBUTE_REPRODUCIBLE][!(3 <= __GNUC__)](ATTRIBUTE_REPRODUCIBLE): New.
	[! ATTRIBUTE_REPRODUCIBLE][3 <= __GNUC__](ATTRIBUTE_REPRODUCIBLE): New.
	[! ATTRIBUTE_UNSEQUENCED][!(3 <= __GNUC__)](ATTRIBUTE_UNSEQUENCED): New.
	[! ATTRIBUTE_UNSEQUENCED][3 <= __GNUC__](ATTRIBUTE_UNSEQUENCED): New.
	[! EINVAL](EINVAL): New.
	[! ELOOP](ELOOP): New.
	[! ENOMEM](ENOMEM): New.
	[! HAVE_DECL_TIMEGM][!((202311 <= __STDC_VERSION__  ||  __GLIBC__ ||  __tm_zone   ||  __FreeBSD__ ||  __NetBSD__ ||  __OpenBSD__  || ( __APPLE__ &&  __MACH__)))](HAVE_DECL_TIMEGM): New.
	[! HAVE_DECL_TIMEGM][(202311 <= __STDC_VERSION__  ||  __GLIBC__ ||  __tm_zone   ||  __FreeBSD__ ||  __NetBSD__ ||  __OpenBSD__  || ( __APPLE__ &&  __MACH__))](HAVE_DECL_TIMEGM): New.
	[! HAVE_GETTEXT &&  __has_include][__has_include(<libintl.h>)](HAVE_GETTEXT): New.
	[! HAVE_MALLOC_ERRNO](HAVE_MALLOC_ERRNO): New.
	[! HAVE_SETENV](HAVE_SETENV): New.
	[! HAVE_STDCKDINT_H &&  __has_include][__has_include(<stdckdint.h>)](HAVE_STDCKDINT_H): New.
	[! HAVE_SYS_STAT_H &&  __has_include][!__has_include(<sys/stat.h>)](HAVE_SYS_STAT_H): New.
	[! HAVE_UNISTD_H &&  __has_include][!__has_include(<unistd.h>)](HAVE_UNISTD_H): New.
	[! HAVE__GENERIC](HAVE__GENERIC): New.
	[! HAVE__GENERIC](TIME_T_MIN): New.
	[! HAVE__GENERIC](TIME_T_MAX): New.
	[! HAVE__GENERIC](<anonymous>): New.
	[! HAVE__GENERIC &&  __GNUC__ && ! __STRICT_ANSI__](HAVE__GENERIC): New.
	[! HAVE__GENERIC &&  __has_extension][!__has_extension(c_generic_selections)](HAVE__GENERIC): New.
	[! PORT_TO_C89](PORT_TO_C89): New.
	[! STD_INSPIRED](STD_INSPIRED): New.
	[! SUPPORT_C89](SUPPORT_C89): New.
	[! _TIME_BITS && _FILE_OFFSET_BITS == 64](_TIME_BITS): New.
	[! __STDC_VERSION__](__STDC_VERSION__): New.
	[! unreachable][! unreachable](unreachable): New.
	[! unreachable][4 < __GNUC__ + (5 <= __GNUC_MINOR__)](unreachable): New.
	[! unreachable][__has_builtin][__has_builtin(__builtin_unreachable)](unreachable): New.
	[!(( __has_c_attribute  && (202311 <= __STDC_VERSION__ || ! __STRICT_ANSI__)))](HAVE___HAS_C_ATTRIBUTE): New.
	[!HAVE_DECL_TIMEGM && ! timegm](timegm): New.
	[!PORT_TO_C89](inttypes.h): New.
	[( __has_c_attribute  && (202311 <= __STDC_VERSION__ || ! __STRICT_ANSI__))](HAVE___HAS_C_ATTRIBUTE): New.
	[(! EXTERN_TIMEOFF  &&  TM_GMTOFF && (200809 < _POSIX_VERSION || ! UNINIT_TRAP))][! timeoff](timeoff): New.
	[(! EXTERN_TIMEOFF  &&  TM_GMTOFF && (200809 < _POSIX_VERSION || ! UNINIT_TRAP))](EXTERN_TIMEOFF): New.
	[(200809 < _POSIX_VERSION  ||  __GLIBC__  ||  __tm_zone   ||  __FreeBSD__ ||  __NetBSD__ ||  __OpenBSD__  || ( __APPLE__ &&  __MACH__))][! TM_GMTOFF && ! NO_TM_GMTOFF](TM_GMTOFF): New.
	[(200809 < _POSIX_VERSION  ||  __GLIBC__  ||  __tm_zone   ||  __FreeBSD__ ||  __NetBSD__ ||  __OpenBSD__  || ( __APPLE__ &&  __MACH__))][! TM_ZONE && ! NO_TM_ZONE](TM_ZONE): New.
	[(__STDC_VERSION__ < 199901 && ! restrict  && (PORT_TO_C89 ||  _MSC_VER))](restrict): New.
	[7 <= __GNUC__](ckd_add): New.
	[7 <= __GNUC__](ckd_sub): New.
	[7 <= __GNUC__](ckd_mul): New.
	[DEBUG](unreachable): New.
	[EXTERN_TIMEOFF](timeoff): New.
	[HAVE_STDCKDINT_H][HAVE_STDCKDINT_H](stdckdint.h): New.
	[HAVE__GENERIC](TIME_T_MIN): New.
	[HAVE__GENERIC](TIME_T_MAX): New.
	[HAVE__GENERIC](<anonymous>): New.
	[HAVE___HAS_C_ATTRIBUTE][__has_c_attribute(deprecated)](ATTRIBUTE_DEPRECATED): New.
	[HAVE___HAS_C_ATTRIBUTE][__has_c_attribute(fallthrough)](ATTRIBUTE_FALLTHROUGH): New.
	[HAVE___HAS_C_ATTRIBUTE][__has_c_attribute(maybe_unused)](ATTRIBUTE_MAYBE_UNUSED): New.
	[HAVE___HAS_C_ATTRIBUTE][__has_c_attribute(noreturn)](ATTRIBUTE_NORETURN): New.
	[HAVE___HAS_C_ATTRIBUTE][__has_c_attribute(reproducible)](ATTRIBUTE_REPRODUCIBLE): New.
	[HAVE___HAS_C_ATTRIBUTE][__has_c_attribute(unsequenced)](ATTRIBUTE_UNSEQUENCED): New.
	[LOCALTIME_IMPLEMENTATION && TZ_TIME_T](sys_time): New.
	[PORT_TO_C89][! HAVE_INTTYPES_H](HAVE_INTTYPES_H): New.
	[PORT_TO_C89][! HAVE_STDINT_H](HAVE_STDINT_H): New.
	[PORT_TO_C89][! HAVE_STDINT_H &&  __has_include](HAVE_STDINT_H): New.
	[PORT_TO_C89][! INTMAX_MAX][! LLONG_MAX](intmax_t): New.
	[PORT_TO_C89][! INTMAX_MAX][! LLONG_MAX](INTMAX_MAX): New.
	[PORT_TO_C89][! INTMAX_MAX][! LLONG_MAX](INTMAX_MIN): New.
	[PORT_TO_C89][! INTMAX_MAX][! strtoimax](strtoimax): New.
	[PORT_TO_C89][! INTMAX_MAX][LLONG_MAX][! HAVE_STRTOLL](HAVE_STRTOLL): New.
	[PORT_TO_C89][! INTMAX_MAX][LLONG_MAX][HAVE_STRTOLL](strtoimax): New.
	[PORT_TO_C89][! INTMAX_MAX][LLONG_MAX](intmax_t): New.
	[PORT_TO_C89][! INTMAX_MAX][LLONG_MAX](INTMAX_MAX): New.
	[PORT_TO_C89][! INTMAX_MAX][LLONG_MAX](INTMAX_MIN): New.
	[PORT_TO_C89][! INT_FAST32_MAX][!(INT_MAX >> 31 == 0)](int_fast32_t): New.
	[PORT_TO_C89][! INT_FAST32_MAX][!(INT_MAX >> 31 == 0)](INT_FAST32_MAX): New.
	[PORT_TO_C89][! INT_FAST32_MAX][!(INT_MAX >> 31 == 0)](INT_FAST32_MIN): New.
	[PORT_TO_C89][! INT_FAST32_MAX][INT_MAX >> 31 == 0](int_fast32_t): New.
	[PORT_TO_C89][! INT_FAST32_MAX][INT_MAX >> 31 == 0](INT_FAST32_MAX): New.
	[PORT_TO_C89][! INT_FAST32_MAX][INT_MAX >> 31 == 0](INT_FAST32_MIN): New.
	[PORT_TO_C89][! INT_FAST64_MAX][!(1 <= LONG_MAX >> 31 >> 31)](int_fast64_t): New.
	[PORT_TO_C89][! INT_FAST64_MAX][!(1 <= LONG_MAX >> 31 >> 31)](INT_FAST64_MIN): New.
	[PORT_TO_C89][! INT_FAST64_MAX][!(1 <= LONG_MAX >> 31 >> 31)](INT_FAST64_MAX): New.
	[PORT_TO_C89][! INT_FAST64_MAX][1 <= LONG_MAX >> 31 >> 31](int_fast64_t): New.
	[PORT_TO_C89][! INT_FAST64_MAX][1 <= LONG_MAX >> 31 >> 31](INT_FAST64_MIN): New.
	[PORT_TO_C89][! INT_FAST64_MAX][1 <= LONG_MAX >> 31 >> 31](INT_FAST64_MAX): New.
	[PORT_TO_C89][! PRIdFAST64][INT_FAST64_MAX != LONG_MAX](PRIdFAST64): New.
	[PORT_TO_C89][! PRIdFAST64][INT_FAST64_MAX == LONG_MAX](PRIdFAST64): New.
	[PORT_TO_C89][! PRIdMAX][INTMAX_MAX != LLONG_MAX](PRIdMAX): New.
	[PORT_TO_C89][! PRIdMAX][INTMAX_MAX == LLONG_MAX](PRIdMAX): New.
	[PORT_TO_C89][! PRIuMAX][! ULLONG_MAX](PRIuMAX): New.
	[PORT_TO_C89][! PRIuMAX][ULLONG_MAX](PRIuMAX): New.
	[PORT_TO_C89][! PTRDIFF_MAX](PTRDIFF_MAX): New.
	[PORT_TO_C89][! SCNdFAST64](SCNdFAST64): New.
	[PORT_TO_C89][! SIZE_MAX](SIZE_MAX): New.
	[PORT_TO_C89][! UINTMAX_MAX][! ULLONG_MAX](uintmax_t): New.
	[PORT_TO_C89][! UINTMAX_MAX][! ULLONG_MAX](UINTMAX_MAX): New.
	[PORT_TO_C89][! UINTMAX_MAX][ULLONG_MAX](uintmax_t): New.
	[PORT_TO_C89][! UINTMAX_MAX][ULLONG_MAX](UINTMAX_MAX): New.
	[PORT_TO_C89][! UINT_FAST32_MAX](uint_fast32_t): New.
	[PORT_TO_C89][! UINT_FAST64_MAX][!(3 <= ULONG_MAX >> 31 >> 31)](uint_fast64_t): New.
	[PORT_TO_C89][! UINT_FAST64_MAX][!(3 <= ULONG_MAX >> 31 >> 31)](UINT_FAST64_MAX): New.
	[PORT_TO_C89][! UINT_FAST64_MAX][3 <= ULONG_MAX >> 31 >> 31](uint_fast64_t): New.
	[PORT_TO_C89][! UINT_FAST64_MAX][3 <= ULONG_MAX >> 31 >> 31](UINT_FAST64_MAX): New.
	[PORT_TO_C89][HAVE_INTTYPES_H](inttypes.h): New.
	[PORT_TO_C89][HAVE_STDINT_H](stdint.h): New.
	[PORT_TO_C89][__LONG_LONG_MAX__ && ! __STRICT_ANSI__][! LLONG_MAX](LLONG_MAX): New.
	[PORT_TO_C89][__LONG_LONG_MAX__ && ! __STRICT_ANSI__][! LLONG_MIN](LLONG_MIN): New.
	[PORT_TO_C89][__LONG_LONG_MAX__ && ! __STRICT_ANSI__][! ULLONG_MAX](ULLONG_MAX): New.
	[PORT_TO_C89 && __STDC_VERSION__ < 199901](true): New.
	[PORT_TO_C89 && __STDC_VERSION__ < 199901](false): New.
	[PORT_TO_C89 && __STDC_VERSION__ < 199901](bool): New.
	[__STDC_VERSION__ < 202311](stdbool.h): New.
	[__STDC_VERSION__ < 202311](static_assert): New.
	[__has_builtin][__has_builtin(__builtin_add_overflow)](ckd_add): New.
	[__has_builtin][__has_builtin(__builtin_mul_overflow)](ckd_mul): New.
	[__has_builtin][__has_builtin(__builtin_sub_overflow)](ckd_sub): New.
	(stddef.h): Include file.
	(INDEX_MAX): New.
	(max): New.
	(min): New.
	(static_assert): New function.
	(<anonymous>): New.
	(DAYSPERREPEAT): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	* timezone/tzfile.h: Modified.
	[! TZDEFAULT](TZDEFAULT): Remove.
	[! TZDEFRULES](TZDEFRULES): Modified.
	[! TZDIR](TZDIR): Remove.
	[! TZ_MAX_CHARS](TZ_MAX_CHARS): Modified.
	[! TZ_MAX_LEAPS](TZ_MAX_LEAPS): Modified.
	[! TZ_MAX_TIMES](TZ_MAX_TIMES): Modified.
	[! TZ_MAX_TYPES](TZ_MAX_TYPES): Modified.
	* timezone/tzselect.ksh: Modified.
	* timezone/version: Modified.
	* timezone/zdump.c: Modified.
	[! HAVE_SNPRINTF](HAVE_SNPRINTF): Modified.
	[! HAVE_SNPRINTF](my_snprintf): Modified function.
	[! MAX_STRING_LENGTH](MAX_STRING_LENGTH): Remove.
	[! USE_LOCALTIME_RZ](localtime_rz): Modified function.
	[! USE_LOCALTIME_RZ](tzalloc): Modified function.
	[! USE_LOCALTIME_RZ](tzfree): Modified function.
	[! ZDUMP_HI_YEAR](ZDUMP_HI_YEAR): Modified.
	[! ZDUMP_LO_YEAR](ZDUMP_LO_YEAR): Modified.
	(<anonymous>): Modified.
	(progname): Modified.
	(delta): Modified.
	(hunt): Modified.
	(yeartot): Modified.
	(is_digit): Remove.
	(sumsize): Modified function.
	(xmalloc): Modified function.
	(gmtzinit): Modified function.
	(saveabbr): Modified function.
	(main): Modified function.
	(hunt): Modified function.
	(delta_nonneg): Modified function.
	(gmtoff): Modified function.
	(show): Modified function.
	(format_local_time): Modified function.
	(format_utc_offset): Modified function.
	(format_quoted_string): Modified function.
	(istrftime): Modified function.
	(showtrans): Modified function.
	(tformat): Modified function.
	(dumptime): Modified function.
	(showextrema): New function.
	(is_digit): New function.
	(size_overflow): New function.
	(xstrsize): New function.
	(showextrema): New function.
	* timezone/zic.c: Modified.
	[! AT_SYMLINK_FOLLOW](linkat): Modified.
	[! HAVE_LINK](link): Remove.
	[! HAVE_SYMLINK](readlink): Remove.
	[! HAVE_SYMLINK](symlink): Remove.
	[! HAVE_SYMLINK](S_ISLNK): Remove.
	[! HAVE_SYMLINK](readlink): New function.
	[! HAVE_SYMLINK](symlink): New function.
	[! PTRDIFF_MAX](PTRDIFF_MAX): Remove.
	[! S_ISDIR &&  S_IFDIR &&  S_IFMT](S_ISDIR): Remove.
	[! WEXITSTATUS](WEXITSTATUS): Remove.
	[! WIFEXITED](WIFEXITED): Remove.
	[! WORK_AROUND_QTBUG_53071](<anonymous>): Remove.
	[! ZIC_BLOAT_DEFAULT](ZIC_BLOAT_DEFAULT): Modified.
	[! ZIC_MAX_ABBR_LEN_WO_WARN](ZIC_MAX_ABBR_LEN_WO_WARN): Modified.
	[!HAVE_POSIX_DECLS](link): Modified.
	[HAVE_SYS_WAIT_H](sys/wait.h): Remove.
	[__STDC_VERSION__ < 201112](_Alignof): Remove.
	(stddef.h): Remove include.
	(ZIC_VERSION_PRE_2013): Remove.
	(ZIC_VERSION): Remove.
	(ZIC_MIN): Remove.
	(ZIC_MAX): Remove.
	(PRIdZIC): Remove.
	(rule): Modified.
	(DC_DOM): Remove.
	(DC_DOWGEQ): Remove.
	(DC_DOWLEQ): Remove.
	(zone): Modified.
	(getfields): Modified.
	(infile): Modified.
	(itsdir): Remove.
	(itssymlink): Modified.
	(rulesub): Modified.
	(yearistype): Remove.
	(<anonymous>): Modified.
	(filename): Remove.
	(rfilename): Remove.
	(LC_RULE): Remove.
	(LC_ZONE): Remove.
	(LC_LINK): Remove.
	(LC_LEAP): Remove.
	(LC_EXPIRES): Remove.
	(ZF_NAME): Remove.
	(ZF_STDOFF): Remove.
	(ZF_RULE): Remove.
	(ZF_FORMAT): Remove.
	(ZF_TILYEAR): Remove.
	(ZF_TILMONTH): Remove.
	(ZF_TILDAY): Remove.
	(ZF_TILTIME): Remove.
	(ZONE_MINFIELDS): Remove.
	(ZONE_MAXFIELDS): Remove.
	(ZFC_STDOFF): Remove.
	(ZFC_RULE): Remove.
	(ZFC_FORMAT): Remove.
	(ZFC_TILYEAR): Remove.
	(ZFC_TILMONTH): Remove.
	(ZFC_TILDAY): Remove.
	(ZFC_TILTIME): Remove.
	(ZONEC_MINFIELDS): Remove.
	(ZONEC_MAXFIELDS): Remove.
	(RF_NAME): Remove.
	(RF_LOYEAR): Remove.
	(RF_HIYEAR): Remove.
	(RF_COMMAND): Remove.
	(RF_MONTH): Remove.
	(RF_DAY): Remove.
	(RF_TOD): Remove.
	(RF_SAVE): Remove.
	(RF_ABBRVAR): Remove.
	(RULE_FIELDS): Remove.
	(LF_FROM): Remove.
	(LF_TO): Remove.
	(LINK_FIELDS): Remove.
	(LP_YEAR): Remove.
	(LP_MONTH): Remove.
	(LP_DAY): Remove.
	(LP_TIME): Remove.
	(LP_CORR): Remove.
	(LP_ROLL): Remove.
	(LEAP_FIELDS): Remove.
	(EXPIRES_FIELDS): Remove.
	(YR_MINIMUM): Remove.
	(YR_MAXIMUM): Remove.
	(YR_ONLY): Remove.
	(link): Modified.
	(memory_exhausted): Modified function.
	(size_product): Modified function.
	(align_to): Modified function.
	(memcheck): Modified function.
	(emalloc): Modified function.
	(ecpyalloc): Remove function.
	(growalloc): Modified function.
	(eats): Modified function.
	(eat): Modified function.
	(verror): Modified function.
	(error): Modified function.
	(warning): Modified function.
	(close_file): Modified function.
	(usage): Modified function.
	(change_directory): Modified function.
	(TIME_T_BITS_IN_FILE): Remove.
	(comment_leapexpires): Remove.
	(timerange_option): Modified function.
	(leapsec): Modified.
	(yitcommand): Remove.
	(main): Modified function.
	(componentcheck): Modified function.
	(relname): Modified function.
	(hardlinkerr): Remove function.
	(dolink): Modified function.
	(itsdir): Remove function.
	(itssymlink): Modified function.
	(rcomp): Modified function.
	(associate): Modified function.
	(infile): Modified function.
	(gethms): Modified function.
	(getsave): Modified function.
	(inrule): Modified function.
	(inzone): Modified function.
	(inzsub): Modified function.
	(getleapdatetime): Modified function.
	(inleap): Modified function.
	(inexpires): Modified function.
	(inlink): Modified function.
	(rulesub): Modified function.
	(convert): Modified function.
	(convert64): Modified function.
	(puttzcode): Modified function.
	(atcomp): Modified function.
	(timerange): Modified.
	(limitrange): Modified function.
	(writezone): Modified function.
	(doabbr): Modified function.
	(rule_cmp): Modified function.
	(stringzone): Modified function.
	(outzone): Modified function.
	(leapadd): Modified function.
	(adjleap): Modified function.
	(shellquote): Remove function.
	(yearistype): Remove function.
	(ciequal): Modified function.
	(itsabbr): Modified function.
	(ciprefix): Modified function.
	(getfields): Modified function.
	(time_overflow): Modified function.
	(oadd): Modified function.
	(tadd): Modified function.
	(rpytime): Modified function.
	(mkdirs): Modified function.
	[! HAVE_GETRANDOM][2 < __GLIBC__ + (25 <= __GLIBC_MINOR__)](sys/random.h): New.
	[! HAVE_GETRANDOM][__has_include][__has_include(<sys/random.h>)](sys/random.h): New.
	[! HAVE_GETRANDOM](HAVE_GETRANDOM): New.
	[! _POSIX2_LINE_MAX](_POSIX2_LINE_MAX): New.
	[HAVE_GETRANDOM](sys/random.h): New.
	[__STDC_VERSION__ < 201112 ||  __SUNPRO_C](alignof): New.
	[__STDC_VERSION__ < 202311](stdalign.h): New.
	(EPOCH_LOCAL): New.
	(EPOCH_OFFSET): New.
	(RESERVE_STD_EXT_IDS): New.
	(time_tz): New.
	(tzdir.h): Include file.
	(signal.h): Include file.
	(ZIC_MIN): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(filenum): New.
	(rfilenum): New.
	(main_argv): New.
	(unspecifiedtype): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(<anonymous>): New.
	(size_overflow): New function.
	(size_sum): New function.
	(estrdup): New function.
	(grow_nitems_alloc): New function.
	(<anonymous>): New.
	(filename): New function.
	(qsort_linkcmp): New function.
	(bsearch_linkcmp): New function.
	(make_links): New function.
	(got_signal): New.
	(signal_handler): New function.
	(catch_signals): New function.
	(check_for_signal): New function.
	(<anonymous>): New.
	(redundant_time): New.
	(redundant_time_option): New function.
	(get_rand_u64): New function.
	(random_dirent): New function.
	(open_outfile): New function.
	(rename_dest): New function.
	(same_parent_dirs): New function.
	(inputline): New function.
	(disable_percent_s): New.

2024-04-06  Paul Eggert  <eggert@cs.ucla.edu>
            Zack Weinberg  <zack@owlfolio.org>

	COMMIT: 57581acd9559217e859fdac693145ce6399f4d70
	Fix bsearch, qsort doc to match POSIX better

	* manual/search.texi: Modified.

2024-04-06  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 9e1f4aef865ddeffeb4b5f6578fefab606783120
	x86-64: Exclude FMA4 IFUNC functions for -mapxf

	* config.h.in: Modified.
	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/configure.ac: Modified.
	* sysdeps/x86_64/fpu/multiarch/Makefile: Modified.
	* sysdeps/x86_64/fpu/multiarch/ifunc-avx-fma4.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/fpu/multiarch/ifunc-fma4.h: Modified.
	(IFUNC_SELECTOR): Modified function.

2024-04-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c27f8763cffbb7db9b3f1f5e09ef24d26cbb63f4
	Reinstate generic features-time64.h

	* sysdeps/generic/features-time64.h: New file.

2024-04-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 460d9e2dfe64d73508456c46405923afaeb4376e
	Cleanup __tls_get_addr on alpha/microblaze localplt.data

	* sysdeps/unix/sysv/linux/alpha/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/microblaze/localplt.data: Modified.

2024-04-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 95700e799809fff4307da05fa277820d21dec925
	arm: Remove ld.so __tls_get_addr plt usage

	* sysdeps/arm/dl-tlsdesc.S: Modified.
	* sysdeps/unix/sysv/linux/arm/localplt.data: Modified.

2024-04-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 50c2be2390be849176297d231ecce71c6642f407
	aarch64: Remove ld.so __tls_get_addr plt usage

	* sysdeps/aarch64/dl-tlsdesc.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/localplt.data: Modified.

2024-04-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 44ccc2465c6af5bd811d8258bf744aaafd5392fc
	math: x86 trunc traps when FE_INEXACT is enabled (BZ 31603)

	* math/Makefile: Modified.
	* math/test-trunc-except-2.c: New file.
	* sysdeps/i386/fpu/s_trunc.S: Move to...
	* sysdeps/i386/fpu/s_trunc.c: ... here.
	(machine/asm.h): Remove include.
	(FUNC): New.
	(TYPE): New.
	(FE_OPTION): New.
	(s_nearestint_387_template.c): Include file.
	* sysdeps/i386/fpu/s_truncf.S: Move to...
	* sysdeps/i386/fpu/s_truncf.c: ... here.
	(machine/asm.h): Remove include.
	(FUNC): New.
	(TYPE): New.
	(FE_OPTION): New.
	(s_nearestint_387_template.c): Include file.
	* sysdeps/i386/fpu/s_truncl.S: Delete file.
	* sysdeps/x86_64/fpu/s_truncl.S: Move to...
	* sysdeps/x86/fpu/s_truncl.c: ... here.
	(machine/asm.h): Remove include.
	(FUNC): New.
	(TYPE): New.
	(FE_OPTION): New.
	(s_nearestint_387_template.c): Include file.

2024-04-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 932544efa469568525455bcb53d4eabeba0eb295
	math: x86 floor traps when FE_INEXACT is enabled (BZ 31601)

	* math/Makefile: Modified.
	* math/test-floor-except-2.c: New file.
	* sysdeps/i386/fpu/s_floor.S: Delete file.
	* sysdeps/i386/fpu/s_floor.c: New file.
	* sysdeps/i386/fpu/s_floorf.S: Delete file.
	* sysdeps/i386/fpu/s_floorf.c: New file.
	* sysdeps/i386/fpu/s_floorl.S: Delete file.
	* sysdeps/x86/fpu/s_floorl.c: New file.
	* sysdeps/x86_64/fpu/s_floorl.S: Delete file.

2024-04-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 637bfc392f406c6c77f59494ed34949a6161bceb
	math: x86 ceill traps when FE_INEXACT is enabled (BZ 31600)

	* math/Makefile: Modified.
	* math/test-ceil-except-2.c: New file.
	* sysdeps/i386/fpu/s_ceil.S: Delete file.
	* sysdeps/i386/fpu/s_ceil.c: New file.
	* sysdeps/i386/fpu/s_ceilf.S: Delete file.
	* sysdeps/i386/fpu/s_ceilf.c: New file.
	* sysdeps/i386/fpu/s_ceill.S: Delete file.
	* sysdeps/x86/fpu/s_ceill.c: New file.
	* sysdeps/x86/fpu/s_nearestint_387_template.c: New file.
	* sysdeps/x86_64/fpu/s_ceill.S: Delete file.

2024-04-04  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 87cb1dfcd6d1acbcd695279d7abd9163a0cc64fc
	aarch64/fpu: Add vector variants of erfc

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_erfcf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_erfc): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_erfcf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_erfc): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_erfc): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_erfcf): New.
	* sysdeps/aarch64/fpu/erfc_advsimd.c: New file.
	* sysdeps/aarch64/fpu/erfc_data.c: New file.
	* sysdeps/aarch64/fpu/erfc_sve.c: New file.
	* sysdeps/aarch64/fpu/erfcf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/erfcf_data.c: New file.
	* sysdeps/aarch64/fpu/erfcf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(erfc_data): New.
	(erfcf_data): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-04-04  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 3d3a4fb8e4fe854a0bbb3df9c26ba482c10a7e22
	aarch64/fpu: Add vector variants of tanh

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-tanh: Modified.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_tanhf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_tanh): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_tanhf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_tanh): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_tanh): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_tanhf): New.
	* sysdeps/aarch64/fpu/tanh_advsimd.c: New file.
	* sysdeps/aarch64/fpu/tanh_sve.c: New file.
	* sysdeps/aarch64/fpu/tanhf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/tanhf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-04-04  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: eedbbca0bf3adf3c45aff6c4e128bae3a5562675
	aarch64/fpu: Add vector variants of sinh

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_sinhf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_sinh): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_sinhf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_sinh): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_sinh): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_sinhf): New.
	* sysdeps/aarch64/fpu/sinh_advsimd.c: New file.
	* sysdeps/aarch64/fpu/sinh_sve.c: New file.
	* sysdeps/aarch64/fpu/sinhf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/sinhf_sve.c: New file.
	* sysdeps/aarch64/fpu/sv_expm1f_inline.h: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/v_expm1f_inline.h: New file.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-04-04  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 8b679205286e7874f0b04187c0bc787632168aa2
	aarch64/fpu: Add vector variants of atanh

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/atanh_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atanh_sve.c: New file.
	* sysdeps/aarch64/fpu/atanhf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atanhf_sve.c: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_atanhf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_atanh): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_atanhf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_atanh): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atanh): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atanhf): New.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-04-04  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 81406ea3c5b5ad19e307302c13dd642785b47948
	aarch64/fpu: Add vector variants of asinh

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/asinh_advsimd.c: New file.
	* sysdeps/aarch64/fpu/asinh_sve.c: New file.
	* sysdeps/aarch64/fpu/asinhf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/asinhf_sve.c: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_asinhf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_asinh): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_asinhf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_asinh): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_asinh): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_asinhf): New.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-04-04  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: b09fee1d21650428a6a3335408a46ebe1165d30d
	aarch64/fpu: Add vector variants of acosh

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/acosh_advsimd.c: New file.
	* sysdeps/aarch64/fpu/acosh_sve.c: New file.
	* sysdeps/aarch64/fpu/acoshf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/acoshf_sve.c: New file.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_acoshf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_acosh): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_acoshf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_acosh): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_acosh): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_acoshf): New.
	* sysdeps/aarch64/fpu/sv_log1p_inline.h: New file.
	* sysdeps/aarch64/fpu/sv_log1pf_inline.h: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/v_log1p_inline.h: New file.
	* sysdeps/aarch64/fpu/v_log1pf_inline.h: New file.
	* sysdeps/aarch64/fpu/v_math.h: Modified.
	(v_zerofy_f32): New function.
	(v_zerofy_f64): New function.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-04-04  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: bdb5705b7bab618ed4445f4b17d4b1e4fbbf94a7
	aarch64/fpu: Add vector variants of cosh

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_coshf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_cosh): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_coshf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_cosh): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_cosh): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_coshf): New.
	* sysdeps/aarch64/fpu/cosh_advsimd.c: New file.
	* sysdeps/aarch64/fpu/cosh_sve.c: New file.
	* sysdeps/aarch64/fpu/coshf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/coshf_sve.c: New file.
	* sysdeps/aarch64/fpu/sv_expf_inline.h: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/v_exp_tail_data.c: New file.
	* sysdeps/aarch64/fpu/v_expf_inline.h: New file.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(v_log2_data): Modified.
	(V_EXP_TAIL_TABLE_BITS): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2024-04-04  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: cb5d84f1f8527116a724e729b98412567eed6404
	aarch64/fpu: Add vector variants of erf

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_erff): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_erf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_erff): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_erf): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_erf): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_erff): New.
	* sysdeps/aarch64/fpu/erf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/erf_data.c: New file.
	* sysdeps/aarch64/fpu/erf_sve.c: New file.
	* sysdeps/aarch64/fpu/erff_advsimd.c: New file.
	* sysdeps/aarch64/fpu/erff_data.c: New file.
	* sysdeps/aarch64/fpu/erff_sve.c: New file.
	* sysdeps/aarch64/fpu/sv_erf_data.c: New file.
	* sysdeps/aarch64/fpu/sv_erff_data.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(erff_data): New.
	(sv_erff_data): New.
	(erf_data): New.
